Welcome

This page links you to product and user information for the Keysight N7649B Test Case Manager software.

Technical Overview

Web Page

Free Trial

Installation

Licensing

Using the Software

Release Notes

Software version 3.10

Help revised 6/26/2018 - get the latest revision

© Keysight Technologies, Inc. 2013-2018


Installation

From the Internet

If you are downloading and installing the software from the Internet, do the following:

1. | System Requirements | Verify that the instrument and PC meet the requirements.
2. | .NET Framework | Download and install .NET Framework.
3. | Keysight IO Libraries | Download and install Keysight IO Libraries.
4. | Keysight License Manager | Download and install Keysight License Manager.
5. | Test Case Manager Software | Download and install Test Case Manager software.
6. | Equipment Setup | Determine the IO interface, configure the equipment and connect the PC.
7. | Testing Connections | Check that the software communicates with the instrument.

From the Test Case Manager DVD

The software DVD automates much of the installation process. To install the software from the DVD, do the following:

  1. Perform step 1 above.

  2. Insert the DVD and follow the prompts.

  3. Perform steps 6 and 7 above.


System Requirements

1. System Requirements

Installation Steps: 1 2 3 4 5 6 7

To generate signals using the N7649B Test Case Manager software, you must have properly configured software, instrument, and PC, as described in the following tables.

Test Case Manager Software Option Requirement

Model-Option | Description
N7649B-ETP | LTE FDD and TDD eNB receiver tests
N7649B-FTP | W-CDMA / HSPA+ BTS receiver tests

Signal Studio Software Option Requirements

Depending on the mobile standard you are testing, the following software options are required to generate and play back wanted and interferer signals.

For LTE FDD Tests

To understand what option is required for a test, see Option License Matrices.

Clause 6, Test Case 6.2.6—Requires a W-CDMA UTRA Interferer

Model-Option | Description
N7600B-EFP | Basic W-CDMA / HSPA R7
N7600B-3FP | Connect to N5182A/B MXG or N5172B EXG signal generator

All other LTE FDD Tests

Model-Option | Description
N7624B | Signal Studio for LTE/LTE-Advanced FDD version 14.0 or later
N7624B-HFP1 | Basic LTE FDD
N7624B-JFP1 | Basic LTE-Advanced FDD
N7624B-SFP1 | Advanced LTE FDD
N7624B-TFP1 | Advanced LTE-Advanced FDD
N7624B-WFP2 | Advanced LTE FDD real-time UL R9
N7624B-1FP3 | Connect to E4438C ESG signal generator
N7624B-3FP3 | Connect to N5182A/B MXG or N5172B EXG signal generator
N7624B-6FP3 | Connect to N5106A Baseband Generator and Channel Simulator

1. With some exceptions, Option WFP can be used in lieu of this option to perform tests that use waveform files, but this option is required to use the file created with the Export Signal Studio Setting... function.

2.Required for Clause 8 tests that use a real-time signal and can be used for tests that require Options HFP and SFP.

3. Only one connectivity option is required. Select the option that matches your instrument.

For LTE TDD Tests

To understand what option is required for a test, see Option License Matrices.

Clause 6, 6.2.6—Requires a W-CDMA UTRA Interferer

Model-Option | Description
N7600B-EFP | Basic W-CDMA / HSPA R7
N7600B-3FP | Connect to N5182A/B MXG or N5172B EXG signal generator

All other LTE TDD Tests

Model-Option | Description
N7625B | Signal Studio for LTE/LTE-Advanced TDD version 14.0 or later
N7625B-EFP1 | Basic LTE TDD
N7624B-JFP1 | Basic LTE-Advanced TDD
N7625B-QFP1 | Advanced LTE TDD
N7624B-TFP1 | Advanced LTE-Advanced TDD
N7625B-WFP2 | Advanced LTE TDD real-time UL R9
N7625B-1FP3 | Connect to E4438C ESG signal generator
N7625B-3FP3 | Connect to N5182A/B MXG or N5172B EXG signal generator
N7625B-6FP3 | Connect to N5106A Baseband Generator and Channel Simulator

1.With some exceptions, Option WFP can be used in lieu of this option to perform tests that use waveform files, but this option is required to use the file created with the Export Signal Studio Setting...

2.Required for Clause 8 tests that use a real-time signal and can be used for tests that require Options EFP and QFP.

3. Only one connectivity option is required. Select the option that matches your instrument

For W-CDMA Tests

To understand what option is required for a test, see Option License Matrices.

Model-Option | Description
N7600B | Signal Studio for W-CDMA / HSPA+ version 12.21 or later
N7600B-EFP | Basic W-CDMA / HSPA R7
N7600B-FFP | Basic W-CDMA / HSPA+ R8
N7600B-QFP | Advanced W-CDMA / HSPA+ R11
N7600B-WFP2 | Advanced W-CDMA/HSPA+ Real-time R8 UL
N7600B-1FP3 | Connect to E4438C ESG signal generator
N7600B-3FP3 | Connect to N5182A/B MXG or N5172B EXG signal generator
N7600B-6FP3 | Connect to N5106A Baseband Generator and Channel Simulator

1. This version is required to use the exported Test Case Manager test settings.

2. Required for tests that use a real-time signal and can be used for tests that require Options EFP, FFP, and QFP.

3. Only one connectivity option is required. Select the option that matches your instrument

Supported Instruments and Recommended Options

Recommended options are denoted by parenthesis ().

For LTE FDD and TDD Tests

As indicated in the table, some instruments are only applicable to certain test clauses and for some, only certain application for that clause. Ensure that the correct instrument model is selected for the application.

Model-Option | Description
Clause 6 Interferer
N5182B-506, 656, 1EQ, 403, UNV, UNY | MXG X-Series vector signal generator Firmware version B.01.51 or later (how to upgrade)
N5172B-506, 653, 403, UNV | EXG X-Series vector signal generator Firmware version B.01.51 or later (how to upgrade)
N5182A-506, 652, 403, 1EQ, UNV | First generation MXG vector signal generator Firmware version B.01.20 or later (how to upgrade)
Clause 7 Wanted, E-UTRA interferer, CW interferer
N5182A-506, 652 or (6541), 403, 1EQ, UNV | First generation MXG vector signal generator Firmware version B.01.20 or later (how to upgrade)
E4438C-506, 601 or (6021), 403 | E4438C ESG signal vector generator Firmware version C.05.84 or later (how to upgrade)
Clause 7 CW interferer for blocking test
N5183A-520 | MXG microwave analog signal generator Firmware version A.01.86 or later (how to upgrade)
E8257D-520, UNX | PSG analog signal generator Firmware version C.06.21 or later (how to upgrade)
Clause 7 and 8 including MIMO and Channel Fading—Wanted, E-UTRA interferer, CW interferer
N5106A-622, 632 or 6342, EFP, JFP, QFP, TFP | PXB Baseband Generator and Channel Emulator Firmware versions 2.2.0 or later (how to upgrade)
N5182B-5063,4,5, 656 or (6571), 6606, 1EQ, 403, UNV, UNY | MXG X-Series vector signal generator Firmware version B.01.51 or later (how to upgrade)
N5172B-5063,4,5, 653 or (6551), 6606, 403, UNV | EXG X-Series vector signal generator Firmware version B.01.51 or later (how to upgrade)

1. For Clause 7 tests, wider baseband bandwidth option is recommended for single signal generator operation that combines wanted and interferer as delta frequency is limited by baseband bandwidth.

2.The Option 632 is for 2x Rx Antenna and Option 634 is for 4x Rx Antenna.

3. This is the only option required when using this signal generator as an RF upconvertor for the N5106A.

4. When using with the N5106A for MIMO tests, the number of signal generators used needs to match the number of Rx antennas on the eNB.

5. All instrument options required when using with an external fader.

6. This option required for only one signal generator when all of the following conditions are true:

  • an external fader is being used instead of the N5106A

  • the Clause 8 test involves closed loop

For W-CDMA Tests

Model-Option | Description
Clause 6 Interferer
N5182B-506, 656, 1EQ, 403, UNV5 | MXG X-Series vector signal generator Firmware version B.01.20 or later (how to upgrade)
N5172B-506, 653, 403, UNV5 | EXG X-Series vector signal generator Firmware version B.01.20 or later (how to upgrade)
N5182A-506, 652, 403, 1EQ, UNV5 | First generation MXG vector signal generator Firmware version B.01.20 or later (how to upgrade)
Clause 7 and 8 Wanted, W-CDMA/GMSK/CW1 interferer
N5106A2-614, EFP, JFP, QFP | PXB Baseband Generator and Channel Emulator Firmware versions 2.2.0 or later (how to upgrade)
N5182B-5063, 656 or (657), 6604, 1EQ, 403, UNV, UNY | MXG X-Series vector signal generator Firmware version B.01.20 or later (how to upgrade)
N5172B-5063, 653 or (655), 6604, 403, UNV | EXG X-Series vector signal generator Firmware version B.01.20 or later (how to upgrade)
N5182A-506, 652 or (654), 403, 1EQ, UNV5, (019) | First generation MXG vector signal generator Firmware version B.01.20 or later (how to upgrade)
E4438C-506, 601 or (602), 403 | E4438C ESG signal vector generator Firmware version C.05.84 or later (how to upgrade)
Clause 7 CW interferer for blocking test
N5183A-520 | MXG microwave analog signal generator Firmware version A.01.86 or later (how to upgrade)
E8257D-520, UNX | PSG analog signal generator Firmware version C.06.21 or later (how to upgrade)

1. CW interferer at frequencies <=6 GHz

2. The N5106A PXB pairs with only the N5182B or the N5172B X-Series RF Vector Signal Generators.

3. If paired with an N5106A PXB, the signal generator requires only Option 506.

4. Real-time option required for Clause 8 tests when using an external fader.

5. Option UNV Enhanced Dynamic Range is needed when using a high-power interferer that is close to the wanted signal.

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows® 7 Professional/Ultimate/Enterprise, 32-bit and 64-bit versions

Windows XP Professional, SP3 32-bit

Microsoft Windows Installer, version 3.1 or later

Keysight License Manager, version 3.7 or later

Keysight IO Libraries, version 15.5 or later

Microsoft .NET Framework 4.6


.NET Framework

2. Downloading and Installing the .NET Framework

Installation Steps: 1 2 3 4 5 6 7

The Microsoft .NET Framework versions may come pre-installed with your Windows operating system. If the pre-installed .NET Framework versions are not the same versions as stated in the text below, you must install the required versions. Different versions of .NET Framework can simultaneously reside on the Windows operating system.

Ensure that you have Microsoft .NET Framework 4.6 installed on the Windows operating system (PC or Windows-based instrument) that is to receive the Test Case Manager software download. If they are already installed, proceed to Installation Step 3. If it is not installed, do the following:

  1. Go to: http://www.microsoft.com/downloads/.

  2. Search the site for the required .NET Framework software.

  3. Download and install the software.

If you get a security exception message when you try to open the software, consult your system administrator to resolve the problem.


Downloading and Installing the Keysight IO Libraries Suite

3. Downloading and Installing the Keysight IO Libraries Suite

Installation Steps: 1 2 3 4 5 6 7

The Keysight IO Libraries are required only for GPIB connectivity.

  1. Download the Keysight IO Libraries Suite 15.5 or later, free of charge, from the Keysight website at: http://www.keysight.com/find/iolib. After the IO Libraries Suite has been successfully installed, you will see the IO Control (IO icon) in the Windows notification area on your PC screen.

  2. Click Connection Expert (IO Config in older versions) from the IO icon, if it does not run automatically. This utility automatically detects most interfaces and instruments, and assigns names and other default configuration settings. (You can edit these default settings if necessary.) Refer to the Keysight IO Libraries Suite documentation, for more information.


Downloading and Installing the Keysight License Manager

4. Downloading and Installing the Keysight License Manager

Installation Steps: 1 2 3 4 5 6 7

You must install a license on the Windows operating system (PC or Windows-based instrument) that you will use to create the waveforms generated by the Test Case Manager software.

  1. Download the Keysight License Manager, free of charge, at the following website: http://www.keysight.com/find/licensemanager.

  2. At the prompt, select Run to install the software directly, or select Save to save the software to your hard drive.

    To install the software after saving it to your hard drive, perform the following steps:

    1. Double-click the Keysight License Manager executable file.

    2. In the dialog box that appears, click Run and follow the prompts

For more information about the Test Case Manager license, see Licensing.

For detailed information about installing the Test Case Manger license, see Installing the License.


Installing Test Case Manger Software

5. Downloading and Installing the Test Case Manager Software

Installation Steps: 1 2 3 4 5 6 7

To download the software onto your Windows operating system (PC or Windows-based instrument such as the PXB), you must have administrator status. If you receive an access denied message, consult your system administrator for the required permissions. See User Permissions.

If the PC in which Test Case Manager (TCM) is to be installed is also used as a floating license server for Keysight 89600 VSA software, version 14 or earlier, use the alternate procedure below.

  1. Close all open software.

  2. Click the link below to download the setup.exe file that steps you through the installation process.

    Download Now

  3. At the prompt, select Run to install the software.

Installing the Software on a Floating License Server for Keysight 89600 VSA Software

Use this procedure if the PC in which TCM is to be installed is also used as a floating license server for Keysight 89600 VSA software, version 14 or earlier.

  1. Close all open software.

  2. The "FlexNet License Manager CDF service" must be halted or you will receive an error message during installation.

    To halt the service, do the following:

    1. Run the lmtools.exe utility, which is located in one of the following folders:

      C:\Program Files(x86)\Agilent\CDF\bin

      C:\Program Files(x86)\Agilent\ACCL\Licensing\bin\

    2. Click the Start/Stop/Record tab > Stop Service.

  3. Click the link below to download the setup.exe file that steps you through the installation process.

    Download Now

  4. At the prompt, select Run to install the software.

  5. Run the lmtools.exe utility, which is located in the following folder:

    C:\Program Files(x86)\Agilent\ACCL\Licensing\bin

  6. Click the Config Services tab and configure the FlexNet license service parameters to use the new folder paths for the various service files:

    1. In the Service Name field, select "FlexNet License Manager CDF."

    2. Change the Path to the lmgrd.exe file to the following:

      C:\Program Files(x86)\Agilent\ACCL\Licensing\bin\lmgrd.exe

    3. Verify that the Path to the license file is the following:

      C:\Program Files\Agilent\licensing

    4. Change the Path to the debug log file to the following:

      C:\Program Files(x86)\Agilent\ACCL\Licensing\bin\flex.log

    5. Click Save Service.

  7. Start the service, click the Start/Stop/Reread tab and click Start Server.


Equipment Setup and Connection

6. Equipment Setup and Connection

Installation Steps: 1 2 3 4 5 6 7

Connecting to a signal generator

  1. Ensure the signal generator is turned off.

  2. Connect the signal generator to the computer using one of the following methods for instrument control:

    • LAN Network — Closed connect both the signal generator and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the signal generator directly to the computer using a crossover LAN cable. (You will need to configure your PC.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — Closed connect the signal generator directly to the computer using a GPIB cable.

      Equipment Setup

      Equipment Required

      • GPIB cable between PC and signal generator.

      • One of the following interfaces configured using the Keysight IO Libraries:

        • GPIB interface card in PC

        • Keysight 82357A USB/GPIB interface connector for USB port

      You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Keysight IO Libraries. Refer to the Keysight IO Libraries Suite documentation for more information.

Connecting to a PXB

This section only applies if you are connecting a PC to the PXB. If you are using the PXB as the controller, no connections are required and you can ignore this section.

  1. Ensure the PXB is turned off.

  2. Connect the PXB to the computer using one of the following methods for instrument control. See the PXB's online documentation for GPIB and LAN configuration information.

    • LAN Network — Closed connect both the PXB and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the PXB directly to the computer using a crossover LAN. (You will need to configure your PC and the PXB.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — connect the PXB directly to the computer using a GPIB cable.

Related Topics

Tutorials


Testing Connections

7. Testing Connections

Installation Steps: 1 2 3 4 5 6 7

The instrument must have the required Signal Studio software option licenses.

  1. Turn on the instrument and the computer.

  2. Start the Test Case Manager software.

  3. In the tree window, select the instrument (i.e.; Signal Generator, PXB) that will be controlled by Test Case Manager.

    For example,click the Signal Generator (0:Disconnected) node under the Closed Hardware and Connection Settings node.

  4. Enter the VISA Address, in the instrument Settings window:

    1. Click the VISA Address field:

      • for the PXB instrument selection, it shows as PXB VISA Address

        This procedure only checks the connection between the PXB and the software, not the signal generators connected to the PXB and shown in the PXB Setting window as Closed SG1...n VISA Address

        The software populates the SGn VISA Address fields with default values, they are not real addresses.

      • for the Signal Generator instrument selection, it shows as VISA Address

    2. In VISA Address field, enter the instrument's LAN or GPIB address.

      Use the hint that appears at the bottom of the window to view examples of entering a LAN or GPIB address. If you are using LAN, just highlight IP Address in the default settings and enter the LAN address.

      When entering the address, ensure that all colons (used in both TCPIP and GPIB connections) are present in the completed Closed VISA address

      • If you are running Test Case Manager on the PXB, use ”localhost” in the VISA Address field .

        "localhost" is the default setting for the software.

      • If you are running Test Case Manager on a PC connected to the PXB, use the PXB's address (LAN/GPIB) or hostname (LAN only)

        • hostname: click System > Product Information and view the Machine Name row

        • IP address: click System > Product Information and view the IP Address row

        • GPIB address: click System > GPIB

      • If you are running Test Case Manager on a PC connected to a signal generator, refer to the following table to locate the instrument's address (LAN/GPIB) or hostname (LAN only):

        Connection

        Signal Generator

        Key Path

        LAN

        EXG and MXG

        Utility > I/O Config > LAN Setup > Manual Config Settings

        ESG

        PSG

        Utility > GPIB/RS-232 LAN > LAN Setup

        GPIB

        EXG and MXG

        Utility > I/O Config > GPIB Setup.

        ESG

        PSG

        Utility > GPIB/RS-232 LAN > GPIB Address

      If the connection fails or for help with error messages, refer to Troubleshooting.

  5. Use the Test Connection button to connect to the instrument identified in the VISA Address setting.

    If the connection is successful, the Closed connection status of the instrument changes to Connected.

  6. Install the software license.

    To learn about the different licenses, see Licensing.

    To install the license, see Installing the License.


Licensing

To play waveforms created with this software, a valid license must be installed on your Windows operating system (PC or Windows-based instrument).

Use the following tools to ensure that you obtain the type of license that works best for you:

  • Use the Getting a License flow chart to learn how to obtain and install a license.

  • Obtain a free trial license to evaluate all of the capabilities of the Test Case Manager software for a limited time.

Related Topics

Moving a Transportable License

Viewing the Remaining Time on a License

Option License Matrices


Getting a License

The flowchart below illustrates the process for obtaining an N7649B Test Case Manager (TCM) software license and installing it on your Windows operating system (PC or Windows based-instrument). Click a block in the flowchart for details on that step of the process.


Installing the License

Your Test Case Manager software license file (*.lic) is a text file that is attached to the email message you receive when you redeem your license. The license file is specific to the target Windows operating system (PC or Windows-based instrument) and Host ID.

Before installing the license file, save a backup copy in a safe place.

  1. Save the license file to a convenient location on the host PC.

  2. From the Start menu in Windows, launch Keysight License Manager.

  3. After the Keysight License Manger opens, verify that the Host ID matches the host PC you are trying to license.

  4. Within Keysight License Manager select File > Install to open the Install License File(s) dialog box.

  5. Use the Install License File(s) dialog box to navigate to the location where you placed the license file (*.lic) in Step 1.

  6. Select the license file and click Open.

  7. Wait for the license to appear in the Local Licenses list. This indicates that the license has been successfully installed on the PC.

    Refer to the Keysight License Manager online help for more information about using the software.


Viewing the Remaining Time on a Trial License

Use any of the following method to view the time remaining for a trial license.

  1. On your PC, open the Keysight License Manager. If you do not have the Keysight License Manager installed on your PC, download it at http://www.keysight.com/find/licensemanager.

  2. After the Keysight License Manger opens, it displays the license in the tree view (left pane). The right pane displays the Host System information:

    • PC hostname
    • PC host ID
    • PC interface type
    • Licensed Products and Features section that displays additional information for the license, including the Expiration Date.


Moving a Transportable License

Moving a PC-Based Transportable License

A PC-based transportable license can be moved from one PC to another.

An internet browser must be able to connect to the Keysight Software Manager website to transport a license. This connection takes a small, but noticeable, amount of time (up to 60–90 seconds) to complete a license transport operation.

Before transporting a license, ensure that the license is valid for the target PC.

Choose one of the following procedures based on your network configuration to transport a transportable license:

  • Both Source and Target PCs Connected to a LAN

  • Target PC Not Connected to a LAN

  • Source PC Not Connected to a LAN

  • Both Source PC and Target PC Not Connected to a LAN

Both Source and Target computers Connected to a LAN Both Source and Target PCs Connected to a LAN

To transport a license from one computer to another when both the source computer and the target computer are connected to a LANLocal Area Network: A communications network that serves users within a local geographical area, typically over distances of around 100m. Wireless LANs use wireless communications to network devices so there is no need for data cabling., you can easily transport a transportable license in either of the following ways. (Note that these methods assume that both the source computer and target computer are connected (use File > Connect) in the Keysight License Manager and visible in the tree view.)

  • In the Keysight License Manager's tree view, select a license or product (to transport all licenses for the product) on the source computer and drag it to the target computer’s IPInternet Protocol: A set of instructions defining how information is handled as it travels between systems across the Internet. address/hostname node. The licenses are automatically transported from the source computer to the target computer.

    Or:

  • In the tree view, select a license or product (to transport all licenses for the product), then click File > Transport. This opens the Transport one or more licenses dialog box. Select the target host name from the drop down box and click the Transportbutton. The licenses are automatically transported from the source computer to the target computer.

Target Computer Not Connected to a LAN

If the target computer is not connected to a LAN, the transport operation requires additional steps than if all computers have network connectivity. Follow this procedure to transport a license when the target computer is not connected to a LAN or if you are not able to connect to it using the Keysight License Manager. (Note that this procedure assumes that the source computer has an internet connection.)

  1. On the source computer, click Start > (All) Programs > Keysight License Manager > Keysight License Manager.

  2. In the tree view, select a license or product (to transport all licenses for the product). Click File > Transport. This opens the Transport one or more licenses dialog box.

  3. Since the target computer is off line, keep the Destination Host as <offline>. Click the Transport button. You will be asked to verify the transport. Click the Yes button.

  4. This opens a Transportation Confirmation screen, indicating that the license was deleted from the localhost and shows the confirmation code. This confirmation screen also specifies a path and the URL file so that you can rehost the license at a later time. Click the Explore button to view the file, otherwise, click the Ok button to return to the main display.

  5. From the Keysight License Manager, click Tools > Explore Transport Confirmation URLs. This opens the folder where all of the Transport Confirmation files were saved.

  6. Double-click the .url Transport Confirmation file for the license you want to rehost. This opens the Keysight Software Manager website, which enables you to acquire a transported license that is node-locked to the target computer.

  7. On the Keysight Software Manager website, type the target computer's Host ID (model number, serial number), and then click the Submit button.

  8. The Keysight Software Manager website displays a link for the license. On the license link, right-click the link and select Save Target As.

  9. On the source computer, save the license file.

  10. On the source computer, connect an external, portable mass storage device—such as: a USB Flash Drive, an external hard drive, or a writable CDCollision Detection/DVD.

  11. On the source computer, copy the license file to the portable mass storage device.

  12. Disconnect the portable mass storage device from the source computer and connect it to the target computer.

  13. On the target computer, click Start > (All) Programs > Keysight License Manager > Keysight License Manager.

  14. On the target computer, open Windows® Explorer, locate the .lic license file saved on the connected portable storage device, and then drag the license file into the tree view.

Source Computer Not Connected to a LAN

If the source computer is not connected to a LAN, the transport operation requires additional steps than if all computers have network connectivity. Follow this procedure to transport a license when the source computer is not connected to a LAN. (Note that this procedure assumes that the target computer has an internet connection.)

  1. On the source computer, click Start > (All) Programs > Keysight License Manager > Keysight License Manager.

  2. In the tree view, select a license or product (to transport all licenses for the product). Click File > Transport. This opens the Transport one or more licenses dialog box.

  3. Since the target computer is off line, keep the Destination Host as <offline>. Click the Transport button. You will be asked to verify the transport. Click the Yes button.

  4. This opens a Transportation Confirmation screen, indicating that the license was deleted from the localhost and shows the confirmation code. This confirmation screen also specifies a path and the URL file so that you can rehost the license at a later time. Click the Explore button to view the file, otherwise, click the Ok button to return to the main display.

  5. On the source computer, connect an external, portable mass storage device—such as: a USB Flash Drive, an external hard drive, or a writable CD/DVD.

  6. On the source computer, copy the .url file to the portable mass storage device.

  7. Disconnect the portable mass storage device from the source computer and connect it to the target computer.

  8. Locate the .url file on the portable mass storage device and double-click it.

  9. The .url file appears in a browser that is connected to the Keysight Software Manager website. Note that the fields are automatically filled in with the license contents.

  10. On the Keysight Software Manager website, type the target computer's Host ID (model number, serial number), and then click the Submit button.

  11. The Keysight Software Manager website displays a link for the license. On the license link, right-click the link and select Save Target As.

  12. On the source computer, save the license file.

  13. On the target computer, click Start > (All) Programs > Keysight License Manager > Keysight License Manager.

  14. On the target computer, open Windows Explorer, locate the license file, and then drag the license file into the tree view.

Both Source Computer and Target Computer Not Connected to a LAN

If both the source computer and the target computer are not connected to a LAN, the transport operation requires additional steps, but can be accomplished using a portable mass storage device and a computer with an internet connection. Follow this procedure to transport a license when both the source computer and the target computer are not connected to a LAN.

  1. On the source computer, click Start > (All) Programs > Keysight License Manager > Keysight License Manager.

  2. In the tree view, select a license or product (to transport all licenses for the product). Click File > Transport. This opens the Transport one or more licenses dialog box.

  3. Since the target computer is off line, keep the Destination Host as <offline>. Click the Transport button. You will be asked to verify the transport. Click the Yes button.

  4. This opens a Transportation Confirmation screen, indicating that the license was deleted from the localhost and shows the confirmation code. This confirmation screen also specifies a path and the URL file so that you can rehost the license at a later time. Click the Explore button to view the file, otherwise, click the Ok button to return to the main display.

  5. On the source computer, connect an external, portable mass storage device—such as: a USB Flash Drive, an external hard drive, or a writable CDCollision Detection/DVD.

  6. On the source computer, copy the license file to the portable mass storage device.

  7. Disconnect the portable mass storage device from the source computer and connect it to the target computer.

  8. Using Windows Explorer on the internet-connected computer, locate the .url file on the portable mass storage device and double-click it.

  9. The .url file appears in a browser that is connected to the Keysight Software Manager website. Note that the fields are automatically filled in with the license contents.

  10. On the Keysight Software Manager website, type the target computer's Host ID (model number, serial number), and then click the Submit button.

  11. The Keysight Software Manager website displays a link for the (re-issued) license. On the license link, right-click the link and select Save Target As.

  12. Save the license file to a location on the portable mass storage device.

  13. Disconnect the portable mass storage device from the source computer and connect it to the target computer.

  14. On the target computer, click Start > (All) Programs > Keysight License Manager > Keysight License Manager.

  15. On the target computer, open Windows Explorer, locate the .lic license file saved on the connected portable storage device, and then drag the license file into the tree view.


Trial License

To request a trial license, you must provide your contact information along with the host information of the PC or Windows-based instrument for which the trial license is being issued.

  1. From the Start menu in Windows, launch Keysight License Manager.

    If the Keysight License Manager is not installed, refer to the Keysight License Manager installation procedure.

  2. After the Keysight License Manger opens,obtain the Host ID.

After completing your request, you will receive an email message that includes the trial license and instructions for installing the license.

Before requesting a trial license, verify that the PC or Windows-based instrument meets the system requirements.

To request a trial license now, continue to the software licensing website.

Terms and Conditions

A trial license is available that enables you to evaluate this software product prior to purchase. The trial license enables all of the capabilities, with some limitations, of this software product for 30 days and will be issued only once per host PC or Windows-based instrument. The trial period begins when the license is issued through the Keysight Software Licensing website and is non-renewable. To begin your trial, download and install the Test Case Manager software and request your trial license as instructed above.


Option License Matrices

The following links provide a correlation between the tests and the Signal Studio product option licenses.

LTE FDD Option License Matrix

LTE TDD Option License Matrix

W-CDMA Option License Matrix


LTE FDD Option License Matrix

This topic shows the required Signal Studio software license for each test. An instrument connectivity option is still required. See the System Requirements topic for all required options.

Test | Description | Signal Studio Option1
6. Transmitter Characteristics
6.2.6 | Home BS output power for adjacent E-UTRA channel protection | N7600B-EFP2
6.2.7 | Home BS output power for adjacent E-UTRA channel protection | N7624B-HFP
6.2.8 | Home BS output power for co-channel E-UTRA channel protection
6.7 | Transmit Intermodulation
7. Receiver Characteristics
7.2 | Reference Sensitivity Level | N7624B-HFP N7624B-SFP
7.3 | Dynamic Range
7.4 | In-Channel Selectivity (ICS)
7.5 | Adjacent Channel Selectivity (ACS)
7.5 | Narrow Band Blocking
7.6 | Blocking (E-UTRA Interferer)
7.6 | Blocking (CW Interferer)
7.6 | Blocking (Co-Located)
7.8 | Receiver Intermodulation
7.8 | Receiver Intermodulation (Narrowband)
8. Receiver Performance
8.2.1 | PUSCH in multipath fading propagation conditions | N7624B-WFP
8.2.1A | PUSCH in multipath fading propagation conditions transmission on two antenna ports
8.2.2 | UL timing adjustment
8.2.3 | HARQ-ACK multiplexed on PUSCH | N7624B-HFP N7624B-SFP
8.2.4 | High-Speed Train conditions | N7624B-WFP
8.3.1 | ACK missed detection for single user PUCCH format 1a | N7624B-HFP N7624B-SFP
8.3.2 | CQI missed detection for PUCCH format 2
8.3.3 | ACK missed detection for multi user PUCCH format 1a
8.3.4 | ACK missed detection for PUCCH format 1b with channel selection | N7624B-HFP N7624B-JFP N7624B-TFP
8.3.5 | ACK missed detection for PUCCH format 3
8.3.7 | ACK missed detection for PUCCH format 1a transmission on two antenna ports
8.3.8 | CQI performance requirements for PUCCH format 2 transmission on two antenna ports
8.3.9 | CQI performance requirements for PUCCH format 2 with DTX detection
8.4.1 | PRACH false alarm probability and missed detection | N7624B-HFP

1.With the exceptions of test cases 8.3.4 to 8.3.9, option N7624B-WFP can be used in lieu of the other options to perform tests that use waveform files.

2. This LTE test requires a W-CDMA UTRA interferer signal


LTE TDD Option License Matrix

This topic shows the required Signal Studio software license for each test. An instrument connectivity option is still required. See the System Requirements topic for all required options.

Test | Description | Signal Studio Option1
6. Transmitter Characteristics
6.2.6 | Home BS output power for adjacent E-UTRA channel protection | N7600B-EFP2
6.2.7 | Home BS output power for adjacent E-UTRA channel protection | N7625B-EFP
6.2.8 | Home BS output power for co-channel E-UTRA channel protection
6.7 | Transmit Intermodulation
7. Receiver Characteristics
7.2 | Reference Sensitivity Level | N7625B-EFP N7625B-QFP
7.3 | Dynamic Range
7.4 | In-Channel Selectivity (ICS)
7.5 | Adjacent Channel Selectivity (ACS)
7.5 | Narrow Band Blocking
7.6 | Blocking (E-UTRA Interferer)
7.6 | Blocking (CW Interferer)
7.6 | Blocking (Co-Located)
7.8 | Receiver Intermodulation
7.8 | Receiver Intermodulation (Narrowband)
8. Receiver Performance
8.2.1 | PUSCH in multipath fading propagation conditions | N7625B-WFP
8.2.1A | PUSCH in multipath fading propagation conditions transmission on two antenna ports
8.2.2 | UL timing adjustment
8.2.3 | HARQ-ACK multiplexed on PUSCH | N7625B-EFP N7625B-QFP
8.2.4 | High-Speed Train conditions | N7625B-WFP
8.3.1 | ACK missed detection for single user PUCCH format 1a | N7625B-EFP N7625B-QFP
8.3.2 | CQI missed detection for PUCCH format 2
8.3.3 | ACK missed detection for multi user PUCCH format 1a
8.3.4 | ACK missed detection for PUCCH format 1b with channel selection | N7625B-EFP N7625B-JFP N7625B-TFP
8.3.5 | ACK missed detection for PUCCH format 3
8.3.6 | NACK to ACK detection for PUCCH format 3
8.3.7 | ACK missed detection for PUCCH format 1a transmission on two antenna ports
8.3.8 | CQI performance requirements for PUCCH format 2 transmission on two antenna ports
8.3.9 | CQI performance requirements for PUCCH format 2 with DTX detection
8.4.1 | PRACH false alarm probability and missed detection | N7625B-EFP

1. With the exceptions of test cases 8.3.4 to 8.3.9, option N7625B-WFP can be used in lieu of the other options to perform tests that use waveform files.

2. This LTE test requires a W-CDMA UTRA interferer signal


W-CDMA Option License Matrix

This topic shows the required N7600B Signal Studio software license for each test. An instrument connectivity option is still required. See the System Requirements topic for all required options.

Test | Description | Signal Studio Option1
6. Transmitter Characteristics
6.4.6 | Home BS output power for adjacent channel protection | N7600B-EFP
6.6 | Transmit Intermodulation
7. Receiver Characteristics
7.2 | Reference Sensitivity Level | N7600B-EFP N7600B-FFP N7600B-QFP
7.3 | Dynamic Range
7.4 | Adjacent Channel Selectivity (ACS)
7.5 | Narrow Band Blocking
7.5 | Blocking (W-CDMA)
7.5 | Blocking (CW)
7.6 | Intermodulation
7.6 | Intermodulation (Narrowband)
8. Receiver Performance
8.2.1 | Demodulation of DCH in static propagation conditions | N7600B-EFP N7600B-FFP N7600B-QFP
8.3 | Demodulation of DCH in multipath fading conditions
8.4 | Demodulation of DCH in moving propagation conditions
8.5 | Demodulation of DCH in birth/death propagation conditions
8.5A | Demodulation of DCH in high speed train conditions
8.6 | Verification of the internal BLER calculation | N7600B-WFP
8.8 | RACH preamble detection | N7600B-EFP N7600B-FFP N7600B-QFP
8.8 | Demodulation of RACH message
8.11 | ACK false alarm performance for HS-DPCCH
8.11 | ACK mis-detection performance for HS-DPCCH
8.11A | ACK false alarm performance for 4C-HSDPA HS-DPCCH
8.11A | ACK mis-detection performance for 4C-HSDPA HS-DPCCH
8.11B | ACK false alarm performance for 8C-HSDPA HS-DPCCH | N7600B-EFP N7600B-FFP N7600B-QFP N7600B-MEU (U03)
8.11B | ACK mis-detection performance for 8C-HSDPA HS-DPCCH
8.12 | Demodulation of E-DPDCH in multipath fading conditions | N7600B-WFP
8.13 | Performance of Signaling detection for E-DPCCH in multipath fading conditions | N7600B-EFP N7600B-FFP N7600B-QFP

1. Option N7600B-WFP can be used in lieu of the other options to perform tests that use waveform files.


Using the Software

User Interface | describes the features of the graphical user interface.
Tutorials | provides specific instructions for using some of the software's capabilities
Test Considerations | provides considerations on instruments, tests, and settings
Waveform Files | describes the software's waveform file generation and the waveform file locations on the PC and PXB
SCPI Log Viewer | provides an overview of the SCPI Log Viewer feature
Troubleshooting | describes how to resolve common software and instrument problems.


User Interface

User Interface Overview | provides a quick overview and descriptions of the different areas of the user interface
Menu Bar and Tool Bar | describes the functions of menu selections and toolbar icons
Buttons | describes the various buttons found in the setting windows
State Checkbox Behavior | describes the purpose and behavior of the State setting based on the various signal and instrument setups
Licenses | provides an overview of the Licenses node with a link to the Test Case Manager software product page


User Interface Overview

The user interface consists of six main areas: the menu bar, the tool bar, the tree view, the setup view, the figure view, and the message bar. The following figure shows the user interface with the LTE FDD test 7.5 Adjacent Channel Selectivity (ACS) selection.

  • The menu bar and tool bar lets you select various functions.

  • Use the tree window (far left view below the tool bar) to navigate to the various settings such as the signal generators, PXB, technology, and test setups. Make a selection in the tree view to display the settings in the window to the right.

    Some tree node selections have no settings associated with them. Typically these are the upper level selections that expand the node selections such as the Hardware Connection and Settings node. In the figure below,while Hardware Connections and Settings has no associated settings, the lower level selection for Signal Generator (0:Disconnected) does have associated settings.

  • The window on the right side below the tool bar provides the buttons and settings based upon the tree node selection. The test setups, by default, are configured in accordance with the standards. The default settings can be changed.

  • Below the settings resides the hint that describes the currently selected setting.

  • Below the hint, where applicable, the software displays a graphic that visually depicts the signals from the selected test.

  • Below the tree window resides the message bar that displays the outcome of actions such as making a connection to an instrument and exporting an scp file.

    Click on the different areas of the graphic to get information

Click on the different areas of the graphic to view information.


Menu Bar and Tool Bar

File(F) | Control(O) | Tools | Help(H)
Preset(R) Open...(O) Save as...(S) Export Signal Studio Setting... Open Waveform Folder… Exit | Execute | SCPI Log Viewer Advanced > LTE > Restart on Trigger | Contents About TestCaseManager

File(F)

Preset(R)

Globally presets all settings (signal generators and tests) to the factory defaults.

Preset performs a different function than the Restore Default button. The Restore Default button restores the default to only the current tree selection.

Open...(O)

Launches an Open dialog box for use to navigate to and open a saved state file. The state file contains all of the current settings. To create a state file, use the Save as...(S) selection.

Save as...(S)

Launches a Save As dialog box for use to navigate to a location and save a state file. The software saves all software settings to the state file. The file can use any name with the tcm extension.

Export Signal Studio Setting...

When the Signal Studio software has the valid waveform licenses, use this software feature to export the current test settings in a .scp file to a location designated by the user. This file can then be imported into the Signal Studio software. The .scp file excludes the instrument settings and test settings that require a Signal Studio Wxx real-time license. For instrument settings (includes all PXB settings) and Wxx real-time settings, use the SCPI commands generated by this software, which can be accessed using the SCPI Log Viewer.

To save the test and instrument settings for the PXB, use the Save State feature found on the PXB. For more information, refer to the PXB online documentation.

For the W-CDMA TS 25.141 Clause 7 tests that use a GMSK Interferer, the GMSK settings cannot be exported. This is because the GMSK interferer is a waveform file that the Test Case Manager software accesses to create this signal. But if there is a need, the GMSK Interferer waveform file can be manually loaded onto a properly licensed,signal generator.

The export feature does not apply to the LTE test case 6.2.6 Home BS output power for adjacent UTRA channel protection..

If the waveform files were created using the Signal Studio Wxx real-time license (Apply Wxx RT license for waveform file checkbox) and the Signal Studio software does not have valid waveform licenses, the Signal Studio software can still import the exported .scp file, but it will not be able to connect to or download the waveform to an instrument.

Open Waveform Folder

Click this selection to launch a Windows Explorer window that opens to the storage location of the waveform files. Right-click on a waveform file and delete, or perform any other listed option.

Exit

Stops and closes the software. The exit button [image] performs the same function

Control(O)

Execute

Downloads instrument and test settings (waveform) to the selected test instrument(s). This performs the same function as the [image] button in the test settings window. Execute works only while in a test settings window.

For some tests, the software may take a little time to generate all of the signals such as for the LTE Clause 8 test 8.2.3 using the FRC A3-1. This test can take up to a minute to download depending on items such as CPU and connection. The software displays a progress bar during the signal generation.

W-CDMA Clause 7 Tests—Additional Execute Behavior

Because some of these test signal waveform files can be large (approximately 39 Msa) and they can take more time to download, the software minimizes the time for making changes to the test setup after the initial Execute action. Upon subsequent Execute clicks, the software optimizes test signal changes by downloading only the test parameter change provided that the change is in the current test Settings Window and it is not a change to the Signal Generator selection. If the Signal Generator selection is changed, then the software downloads the previously generated waveform file and instrument settings to the signal generators.

The software downloads the entire waveform file upon subsequent Execute actions if any of the following occurs:

  • Common Settings node parameter change

  • another test selection (downloads the waveform files for the new test selection)

Tools

SCPI Log Viewer

The SCPI Log Viewer provides the list of SCPI commands that the software uses to configure the instrument and control the downloaded waveform. Use the commands from this list to control the waveform and instrument independent of the Test Case Manager software. For more information, refer to the SCPI Log Viewer topic.

Advanced > LTE > Restart on Trigger (Interval: 40 ms)

Configures the signal generator so that it restarts the waveform playback on every 40 ms pulse that is delivered by a femtocell. When enabled, the software keeps the waveform length to 40 ms to match the need of the cell. In the software, the femtocell is listed as the Home BS selection in the Common Settings node.

The trigger is applied to only the wanted signal or a combined signal that includes the wanted signal, and is only applicable to LTE Clause 7 and 8 test cases with the following exceptions: 8.2.1, 8.2.1A, 8.2.2, and 8.2.4.This feature is not supported by the N5106A PXB.

Help(H)

Contents

Launches the help file with its table of contents displayed.

About TestCaseManager

Displays the software version and a link to Keysight's technical support.


Buttons

This topic describes the buttons found on the various software windows.

Add Instrument

Button Location: Signal Generator Setting window

For the Signal Generator, click this button to add another instrument to the Hardware and Connections Settings tree node. This button is visible while viewing an instrument setting window.

For the PXB, this button is unavailable and shows as grayed out.

Delete Instrument

Button Location: Signal Generator Setting windows

For the Signal Generator, click this button to delete an instrument displayed in the Hardware and Connections Settings tree node. This button is visible while viewing an instrument setting window. Follow this process to delete the desired instrument:

  1. In the Hardware and Connections Settings tree node, click the instrument to be deleted.

    The highlighted instrument settings appear in the right window.

  2. At the top of the selected instrument settings window, click the Delete Instrument button.

The software does not allow the deletion of all instruments. If there is only one instrument showing, the software will not allow it to be deleted.

For the PXB, this button is unavailable and shows as grayed out.

Test Connection

Button Location: Signal Generator and PXB Setting windows

When clicked, the software first tests the instrument connection, and if successful, makes the connection. The instrument connection status is shown in the software Hardware Connection and Settings or Baseband Generator and Channel Simulator tree node. If the connection is successful,the instrument status changes to connected. For example using the signal generator node, Signal Generator (n:Disconnected) changes to Signal Generator (n:Connected). This button is visible while viewing an instrument setting window and only tests the connection for that instrument.

In the following figure, the first signal generator in the list, Signal Generator (0:Connected) is successfully connected to the signal generator identified in the Signal Generator Setting window, VISA Address field. The second signal generator in the list, Signal Generator (1:Disconnected) is not connected to any instrument. The same is also true for the remaining signal generator in the list and the PXB shown under the Baseband Generator and Channel Simulator node.

The Test Connection button does not test the signal generators listed in the PXB Setting window. If there is a need to test those connections, use the Signal Generator selection under the Hardware Connection and Settings node.

Execute

Button Location: Test Setting windows

Click this button to perform the following functions:

  • downloads all instrument settings and the waveform to the selected and supported instrument(s)
  • sets the instrument RF output state, and if a component of the signal, the AWGN state
  • places a copy of the waveform on the PC hard drive whether Offline Mode is enabled or not.
  • generates the SCPI list that is accessed through the Tools drop-down menu

This button performs the same function as the Execute selection in the Control (O) drop-down menu and it is visible while viewing a test settings window.

For some tests, the software may take a little time to generate all of the signals such as for the LTE Clause 8 test 8.2.3 using the FRC A3-1. This test can take up to a minute to download depending on items such as the CPU, connection, etc. The software displays a progress bar during the signal generation.

W-CDMA Clause 7 Tests—Additional Execute Behavior

Because some of these test signal waveform files can be large (approximately 39 Msa) and they can take more time to download, the software minimizes the time for making changes to the test setup after the initial Execute action. Upon subsequent Execute clicks, the software optimizes test signal changes by downloading only the test parameter change provided that the change is in the current test Settings Window and it is not a change to the Signal Generator selection. If the Signal Generator selection is changed, then the software downloads the previously generated waveform file and instrument settings to the signal generators.

The software generates and downloads the waveform file upon subsequent Execute actions if any of the following occurs:

  • Common Settings node parameter change

  • another test selection (downloads the waveform files for the new test selection)

Stop

Button Location: Test Setting windows

This button is active (available) after the following conditions have been met:

  • the software has a valid instrument connection
  • the Execute button was clicked
  • the settings were successfully downloaded to their respective instrument

For the PXB, click this button to stop the signal playback and to turn off the signal generator RF output.

For signals downloaded to the signal generators, click this button to turn off the waveform playback or real-time application, and the RF output.

To restart the signals, click the Execute button. This typically downloads all of the settings and starts the tests.

Restore Default

Button Location: All windows

Click this button to restore the factory default settings to the current tree selection. This button differs from the Preset selection found in the File drop-down menu in that Restore Default restores only the current tree selection to factory default settings. For example, if the TDD test 7.2 Reference Sensitivity Level is the current tree selection and parameters have been changed, clicking Restore Default resets all 7.2 test parameters to factory default settings. If FDD is the current tree selection, clicking Restore Default resets all parameters for all of the tree selections under FDD to factory default settings.


State Checkbox Behavior

The purpose of the State checkbox is to set the state of the signal generator RF output:

  • State checkbox is checked—RF output is on
  • State checkbox is unchecked—RF output is off

The behavior of the State checkbox varies depending on signal settings such as whether the signal is a multi-carrier signal using one or multiple instruments, or if AWGN is a signal component. But regardless of the State status, checked or unchecked, with each click of the Execute button, the software always downloads all of the carriers shown in the test settings window.

AWGN is a Signal Component

For the instruments supported by the software, the AWGN state can be checked (on) or unchecked (off). This provides the choice of either having the signals with or without AWGN.

LTE and W-CDMA Clause 7 Tests

Wanted Signal Created by Signal Generator

When the wanted signal state is checked, the AWGN state can be checked or unchecked. If the wanted signal is unchecked, the current AWGN state remains and cannot be changed.

The AWGN state does not affect the RF output of the instrument, it merely turns the Dual ARB AWGN feature on or off.The wanted signal state determines the RF output state. For example, if the both the wanted signal and AWGN states are unchecked, when Execute is clicked, the software creates and downloads the signal with the following state settings:

  • For signal generators, Dual ARB is on
  • AWGN is off
  • RF Output is off

Wanted Signal Created by PXB (LTE Only)

With the PXB as the Signal Generator selection, the wanted signal state grays out and remains checked. The PXB generates the AWGN, and the AWGN checkbox can be checked or unchecked.

LTE Clause 8 Tests

With the PXB as the Fading Simulator selection, the PXB generates the AWGN and the AWGN checkbox can be checked or unchecked.

With the External Fader as the Fading Simulator selection, the software AWGN Interferer checkbox and settings are unavailable and grayed out. The AWGN must be provided by the external fader, which is not controlled or supported by the software.

Multi-Carrier Signal using a Single Instrument

This section applies to only LTE and W-CDMA Clause 7 tests.

Signal Generator Use

The software couples all of the carrier states to the wanted signal. This indicated by the grayed out State checkbox for all signals but the wanted signal. When the wanted signal state is unchecked, the software unchecks all of the State check boxes. When the wanted signal state is checked, all carrier states are checked. Regardless of the State checkbox status, when Execute is clicked, the software creates and downloads the waveform file with all of the carriers. The only change that occurs with regards to the State checkbox, is whether the instrument RF Output is on or off.

For guidance on combining signals, refer to the LTE FDD and LTE TDD Tests topic.

PXB Use (LTE Only)

See the section, Multi-Carrier Signal using Multiple Instruments, PXB-LTE Clause 7 Tests.

Multi-Carrier Signal using Multiple Instruments

Signal Generators—LTE and W-CDMA Clause 7 Tests, and LTE Clause 8 Tests with an External Fader

The software couples the state of only those carriers that use the same instrument as selected in the Signal Generator field. For each carrier that uses a different instrument, the State status is independent for that signal.

For Clause 8 tests with the use of an external fader, each signal must use a separate signal generator. The external fader provides the AWGN.

This means that for each carrier that uses its own instrument, the RF output of that instrument can be toggled on or off independently of the other carriers by checking or unchecking the State check box. For example, if the test signal uses three carriers, a wanted signal, an interferer (E-UTRA, Interferer, W-CDMA, etc.), and a CW interferer, and each carrier uses a different instrument, the following instrument states would occur for the indicated software State status:

State is Checked
  • Dual ARB or real-time application is on
  • RF output is on
State is Unchecked
  • Dual ARB or real-time application is on
  • RF output is off
CW Interferer—State is Checked
  • RF output is on
    For tests where the CW Interferer uses its own instrument, the software does not create a waveform file so there is no need for the Dual ARB. Instead the software only sets the instrument settings for the CW signal. For more information, see the Waveform Files topic.
LTE Clause 7: E-UTRA Interferer and CW Interferer Combined—State is Unchecked

In this instance, the CW interferer state is coupled to the E-UTRA interferer state and cannot be independently set. So if the E-UTRA interferer state is unchecked, the software also unchecks the CW interferer state. If the E-UTRA interferer is checked, the CW interferer is also checked.

  • Dual ARB is on
  • RF output is off
    When the CW Interferer uses the same instrument as one of the other carriers, it becomes part of the other carrier's waveform file. For more information, see the Waveform Files topic.

For guidance on whether signals can be combined, refer to the Test Case Manager Software topic.

PXB—LTE Clause 7 Tests

While the PXB is a single instrument, it has the capability to use multiple baseband generators (BBG) and its use requires multiple instruments. Signal generators are connected to the PXB as RF upconvertors and controlled by the PXB based on the software settings. If it is a single channel configuration (one BBG—PXB (BBG1)), only one signal generator is needed.if it is a two channel configuration (two BBGs—PXB (BBG1/2), two signal generators are needed. When a signal uses the PXB selection of either PXB (BBG1) or PXB (BBG2) as the Signal Generator selection, the signal state grays out and remains checked. The override settings feature does not change this attribute.

PXB (BBG1) must be used before using the PXB (BBG2) selection. If not, upon clicking Execute, the software generates an error without downloading the waveforms.

PXB—LTE Clause 8 Tests

With PXB as the Fading Simulator selection, the Signal Generator selection for each signal grays out along with the state checkbox. The override settings feature does not change this attribute. This is because the signal generators are connected to and controlled by the PXB based on the software settings. But the AWGN state checkbox is available to toggle on or off. When checked, the PXB generates the AWGN.

Related Topics

Test Considerations

Waveform Files


Licenses

The License node (tree selection) displays what licenses are available and which licenses are installed. If a license is installed, its State shows On, otherwise the it shows Off. The following figure shows the node selection and its corresponding license view. In the Licenses view, it shows one license that is Off and another license that is On (installed on the PC).

When a license state is Off, none of that licenses capabilities are available.

To obtain information or licenses, see the Contacting Keysight topic, or visit the N7649B Test Case Manager product page.


Tutorials

  • LTE Tutorials

  • W-CDMA Tutorials

  • Transferring Test Parameters into Signal Studio

  • Transferring the GMSK Interferer Waveform File

  • Configuring the Signal Generator

  • Configuring the PXB


LTE Tutorials

  • Instrument Setup for LTE TS 36.141 Clause 6 Tests

  • Instrument Setup for LTE TS 36.141 Clause 7 Tests

  • Instrument Setup for LTE Clause 7 Home BS Test with 40 ms Triggering

  • Instrument Setup for LTE TS 36.141 Clause 8 Tests

  • Instrument Setup for LTE Clause 8 Home BS Test with 40 ms Triggering

  • Performing LTE TS 36.141 Clause 6 Transmitter Tests

  • Performing LTE TS 36.141 Clause 7 Receiver Characteristic Tests

  • Performing LTE TS 36.141 Clause 8 Performance Tests

  • Installing Instrument Files


Instrument Setup for LTE TS 36.141 Clause 6 Tests

The Clause 6 tests validate the eNB's signal performance by introducing an interferer. The eNB signal is combined with a signal generated by the signal generator. This combined signal is then evaluated using a signal analyzer.

After setting up the instruments, refer to the tutorial for configuring the test using the Test Case Manager software.

Ensure that the test signal amplitudes account for loss due to cables, connections, and combiner. To compensate for these losses, see the Configuring the Signal Generator tutorial.

The Clause 6 tests are supported with only the N5182A MXG, N5182B MXG or N5172B EXG signal generator.

Single Signal Generator Instrument Setup

This setup is used by most of the tests.

Multiple Signal Generator Instrument Setup

This setup is used when two interferesl are required such as with the LTE test 6.2.8. This test provides a choice of options per the standards. With the Option 2 selection, the test requires two interferers. For more information, refer 3GPP TS 36.141.

Related Topics

  • Performing LTE TS 36.141 Clause 6 Transmitter Tests
  • Waveform Files
  • System Requirements


Instrument Setup for LTE TS 36.141 Clause 7 Tests

This topic describes the instrument setup when using a PXB configuration or only signal generators for the signals.

The instrument setup figures below show multiple instrument setups. The Clause 7 characteristic tests vary in the number of signals used for each test. The Test Case Manager software, in most of the tests that require multiple signals, provides the capability to combine waveforms thereby reducing the number of needed signal generators. To determine which of the multi-signal tests cannot combine signals, see the LTE FDD and LTE TDD Tests topic.

In a test setup where only one signal generator is being used, ignore the instrument setup for the second and third signal generator, and connect the first signal generator directly to the eNB receive port (a termination on the unused ports may be required). When using a multiple instrument setup (two or three signal generators), refer to the 3GPP standard TS 36.141, Clause 7 tests to complete the connection from the signal generator RF Output to the eNB receive port.

After setting up the instruments, refer to the tutorial for configuring the test using the Test Case Manager software.

If a CW interferer is required and a separate instrument is used for the signal, ensure that the CW interferer signal instrument is the last instrument in the chain.

Ensure that the test signal amplitudes account for loss due to cables, connections, and combiner. To compensate for these losses, see the Configuring the Signal Generator tutorial.

Signal Generator Instrument Setup

The CW interferer can use the shown EXG/MXG or ESG signal generators for frequencies that are 6 GHz or less, or it can use the N5183A MXG or E8257D PSG microwave signal generators for all frequency ranges (less than and greater than 6 GHz). For more information, refer to the System Requirements.

Signal Generator 1 | Wanted signal or a combined signal waveform file
Signal Generator 2 | E-UTRA Interferer, or E-UTRA interferer combined with a CW interferer into a single waveform file
Signal Generator 3 | CW interferer signal

PXB Instrument Setup

The PXB cannot generate a CW interferer. But if the software is running on the PXB, it can send the commands to the signal generator (MXG/EXG/ESG 3 in the figure) for it to generate the CW interferer.

MXG/EXG/ESG 1

Wanted signal or a combined signal waveform file that excludes the CW Interferer

MXG/EXG/ESG 2

E-UTRA Interferer

MXG/EXG/ESG 3

CW interferer signal—the figure assumes that the software is running on the PXB, but if it is running on a separate PC, then the LAN/GPIB connection would be to the same network as the PC

The CW interferer is also supported using the N5183A MXG or E8257D PSG microwave signal generators for all frequency ranges (less than and greater than 6 GHz). For more information, refer to the System Requirements.

Related Topics

  • Performing LTE TS 36.141 Clause 7 Receiver Characteristic Tests
  • Waveform Files
  • System Requirements


Instrument Setup for LTE Clause 7 Home BS Test with 40 ms Triggering

Use this topic for the setup when the Restart on Trigger (Interval: 40 ms) is enabled.

The software allows the combining of signals for some test cases, which reduces the number of needed signal generators. For more information, refer to LTE FDD and LTE TDD Tests topic. When signals are combined with the wanted signal, the 40 ms waveform generation time applies to all of the combined signals. Otherwise the 40 ms applies to only the wanted signal.

In a test setup where only one signal generator is being used, ignore the instrument setup for the second and third signal generator, and connect the first signal generator directly to the Home BS receive port (a termination on the unused ports may be required). When using a multiple instrument setup (two or three signal generators), refer to the 3GPP standard TS 36.141, Clause 7 tests to complete the connection from the signal generator RF Output to the Home BS receive port.

After setting up the instruments, refer to the tutorial for configuring the test using the Test Case Manager software.

If a CW interferer is required and a separate instrument is used for the signal, ensure that the CW interferer signal instrument is the last instrument in the chain.

Ensure that the test signal amplitudes account for loss due to cables, connections, and combiner. To compensate for these losses, see the Configuring the Signal Generator tutorial.

The CW interferer can use the shown EXG/MXG or ESG signal generators for frequencies that are 6 GHz or less, or it can use the N5183A MXG or E8257D PSG microwave signal generators for all frequency ranges (less than and greater than 6 GHz). For more information, refer to the System Requirements.

Signal Generator 1 | Wanted signal or a combined signal waveform file
Signal Generator 2 | E-UTRA Interferer, or E-UTRA interferer combined with a CW interferer into a single waveform file
Signal Generator 3 | CW interferer signal

There are two BNC connectors on the signal generator that accepts the 40 ms pulse trigger signal: PATT TRIG and BB TRIG 2. For the signal generator to recognize the connector that has the signal, set the Trigger Type in the software's Signal Generator node:

Trigger Type | Connector
Free Run | PAT TRIG
Pattern Trigger 1 (Trigger & Run)
Pattern Trigger 2 (Trigger & Run) | BB TRIG 2


LTE Clause 8 Instrument Setup

This topic describes the instrument setup when using a PXB configuration or an external fader.

The instrument setup figures below show a multiple instrument setup because the Clause 8 performance tests vary in the number of test signals. But In a test setup where only one signal is required, ignore the instrument setup for the additional signal generators. When only one connection to eNB is required, check whether a termination is needed on the unused ports.

After setting up the instruments, refer to the tutorial for configuring the test using the Test Case Manager software.

PXB Instrument Setup

The number of needed signal generators is dependent upon the number of receive antennas for eNB as required by the test. For more information, refer to 3GPP TS 36.141.

External Fader Instrument Setup

The external fader, while a selection within the test settings, is not supported by the software. For more information on using an external fader, see the Unsupported Instruments topic.

Ensure that the test signal amplitudes account for loss due to cables, connections, and combiner. To compensate for these losses, see the Configuring the Signal Generator tutorial.

MXG/EXG 1

Wanted signal

MXG/EXG 2-4

E-UTRA Interferer/Interferer(s) when it is a requirement of the test:

  • use only the number signal generators required by the test (one for each test signal)

  • if there are no interferers, then ignore these signal generators in the setup

Related Topics

  • Performing LTE TS 36.141 Clause 8 Performance Tests
  • Test Considerations
  • Waveform Files
  • System Requirements


Instrument Setup for LTE Clause 8 Home BS Test with 40 ms Triggering

Use this topic for the setup when the Restart on Trigger (Interval: 40 ms) is enabled.

The instrument setup figure below shows a multiple instrument setup because the Clause 8 performance tests vary in the number of test signals. But In a test setup where only one signal is required, ignore the instrument setup for the additional signal generators. When only one connection to the Home BS is required, check whether a termination is needed on the unused ports.

After setting up the instruments, refer to the tutorial for configuring the test using the Test Case Manager software.

The number of needed signal generators is dependent upon the number of receive antennas for eNB as required by the test. For more information, refer to 3GPP TS 36.141.

The external fader, while a selection within the test settings, is not supported by the software. For more information on using an external fader, see the Unsupported Instruments topic.

Ensure that the test signal amplitudes account for loss due to cables, connections, and combiner. To compensate for these losses, see the Configuring the Signal Generator tutorial.

MXG/EXG 1

Wanted signal

MXG/EXG 2-4

E-UTRA Interferer/Interferer(s) when it is a requirement of the test:

  • use only the number signal generators required by the test (one for each test signal)

  • if there are no interferers, then ignore these signal generators in the setup

There are two BNC connectors on the signal generator that accepts the 40 ms pulse trigger signal: PATT TRIG and BB TRIG 2. For the signal generator to recognize the connector that has the signal, set the Trigger Type in the software's Signal Generator node:

Trigger Type | Connector
Free Run | PAT TRIG
Pattern Trigger 1 (Trigger & Run)
Pattern Trigger 2 (Trigger & Run) | BB TRIG 2


Performing LTE TS 36.141 Clause 6 Transmitter Tests

This topic guides the user through using the preconfigured LTE Clause 6 tests. With some exceptions, Test Case Manager also provides the ability to export the waveform settings for use in the appropriate Signal Studio Software.

Range values such as frequency and amplitude are dependent upon the instrument identified in the Signal Generator (n:<connection status>) node. To find range values, refer to the instrument's User's Guide or Data Sheet.

Each software setting has a hint (setting information) associated with it. To use the hints, just click on the setting and the hint appears below the settings window.

Some fields within the setting windows are grayed out, while others are not and allow a different setting. The grayed out fields are static settings required by the standards and may change, in accordance with the standards, as active fields within the same window or the Common Settings window are changed.

While making changes, you can monitor the signal changes by viewing the graphic at the bottom of the test settings window. If there is a need to save all of the software settings, this can be done by using the Save As... function to create a state file.

  1. Select a test.

    The test shows the number of required signals. Each test signal requires its own signal generator.

    1. If needed, expand Test Cases and any lower level collapsed nodes until the list of tests are displayed.

    2. Select the desired test and view its parameters noting the number of signals.

      Each signal requires a separate signal generator.

  2. Setup the instruments and make the connections.

  3. Configure the instrument(s).

    • Configuring the Signal Generator

      If the Option setting is available and Option 2 will be selected, it is recommended that a separate signal generator is used for each interferer.

      The LTE Clause 6 tests are not supported on the E4438C ESG.

  4. Click the Common Settings node and configure the parameter.

  5. Reselect the test selected in Step 1.

  6. Configure the BS Configuration settings:

    1. If the settings include Spectrum Mode and the base station is using a multi-carrier signal, use the drop-down menu to select whether it is a Multi-Carrier (Contiguous) or a Multi-Carrier (Non-Contiguous) spectrum.

      Selecting a multi-carrier signal grays out the Frequency and Channel Bandwidth settings making them inactive. After being grayed out, the software makes required changes to these settings based on other settings in accordance with the 3GPP standards.

    2. If the Frequency parameter is active, enter the carrier Frequency of the base station.

    3. If the Channel Bandwidth field is active, use the drop-down menu to select the channel bandwidth.

    4. If the Pout field is available, enter the base station output power.

      The E-UTRA Interferer Amplitude field automatically adjusts by –30 dB from the Pout value.

    5. When Multi-Carrier (Contiguous) or Multi-Carrier (Non-Contiguous) is selected, set the Lower Edge and Upper Edge spectrum values.

    6. If the Option setting is available, click the setting and use the drop-down to select the option number.
      The option determines whether the Macro UE UL interferer is available. The hint describes the selections.

  7. Configure the interferer non-grayed out (active) parameters:

    1. For a TS 36.141 compliant test signal, leave State enabled.

      If there is a need to disable State, refer to the State Checkbox Behavior topic for more information.

    2. Click the Signal Generator field and use the drop-down menu to select an instrument for the current signal.

      The drop-down selection menu contains all of the instruments configured in a previous step.

      If there are multiple interferers, each signal requires a separate signal generator.

    3. Set the remaining parameters as needed or required.

      Grayed out settings may change due to changes in active settings. For example, with test 6.2.8, a change to the Co-Channel E-UTRA Interferer Test Case parameter causes a change to the Amplitude, CRS Es and Ioh values for this interferer.

  8. If a test includes AWGN, determine whether to include the AWGN by changing the status of the State checkbox.

    • checked means that AWGN is applied per the 3GPP standards

    • unchecked means no AWGN, and the test may no longer be in compliance with the 3GPP standards

  9. If the test case is not 6.7 and there is a need to reconfigure the grayed out parameters, which causes the test to no longer be in compliance with the 3GPP standards, perform the following steps:

    1. Enable the Override Settings by checking the box.

      This causes the grayed-out parameters(inactive) to become active so they can be changed.

    2. Modify the settings as needed.

      After modifying the settings, if the Override Settings is disabled by unchecking the box, the software resets the grayed out parameters back to their default settings based on the 3GPP standards.

  10. Click the Execute button.

  11. If there is a need to stop the signals, click the Stop button.

    To restart the signals, click the Execute button, which again downloads all of the settings.

Related Topics

  • Instrument Setup for LTE TS 36.141 Clause 6 Tests

  • Configuring the Signal Generator

  • Buttons

  • Menu Bar and Tool Bar

  • Test Considerations

  • Waveform Files


Performing LTE TS 36.141 Clause 7 Receiver Characteristic Tests

This topic guides the user through using the preconfigured LTE Clause 7 tests. Some tests use multiple signals: a wanted signal, an interferer, and some use an additional CW interferer. For most of the tests that require multiple signals, the software enables the use of either a single signal generator or multiple signal generators to create all of the needed signals. See the LTE FDD and LTE TDD Tests topic for more information.

Test Case Manager also provides the ability to export the waveform settings for use in the appropriate Signal Studio Software.

Range values such as frequency and amplitude are dependent upon the instrument identified in the Signal Generator (n:<connection status>) node. To find range values, refer to the instrument's User's Guide or Data Sheet.

Each software setting has a hint (setting information) associated with it. To use the hints, just click on the setting and the hint appears below the settings window.

Some fields within the setting windows are grayed out, while others are not and allow a different setting. The grayed out fields are static settings required by the standards and may change, in accordance with the standards, as active fields within the same window or the Common Settings window are changed.

While making changes, you can monitor the signal changes by viewing the graphic at the bottom of the test settings window. If there is a need to save all of the software settings, this can be done by using the Save As... function to create a state file.

  1. Select a test.

    The test shows whether one or multiple test signals are required. If multiple signals are required, the software can create a single waveform with all signals so it will play on one instrument, or create separate waveforms, one for each instrument based on the instrument selection for each signal. The benefit of using different instruments for each signal is greater dynamic range.

    1. If needed, expand Test Cases and any lower level collapsed nodes until the list of tests are displayed.

    2. Select the desired test and view its parameters noting whether it requires one or more signals.

      The 7.6 Blocking (Co-Located) test requires a separate signal generator for each signal.

      The other 7.6 blocking tests may also require a separate signal generator for each signal if the bandwidth for the wanted and interferer exceeds the instrument's limitations. The software shows a message when this condition exists.

      • If the test requires more signals than the number of signal generators showing in the Hardware Connections and Settings node of the tree window, the software allows the addition of more instruments. This step occurs later in the process.

      • If a PXB is available, it creates multiple waveforms. But it cannot be used to create a CW Interferer where the CW Interferer is not part of another signal’s waveform file. If the CW interferer requires the use of a standalone instrument, it must use a signal generator.

  2. Setup the instruments and make the connection to eNB.

  3. Configure the instrument(s).

    • Configuring the Signal Generator

    • Configuring the PXB

  4. Click the desired Common Settings node (FDD or TDD) and configure the eNB parameters.

    The eNB Type selection determines the grayed out settings in the test selections (test settings window) in accordance to the 3GPP standards, provided that Override Setting in the test settings window is not enabled.

    The eNB Type selection of Home BS is not applicable to the test case 7.6 Blocking (Co-Located).

    If the Wanted and Interferer Cell ID are the same values, ensure that the Wanted and Interferer RNTI values differ between the two.

  5. Reselect the test selected in Step 1.

  6. Configure the non-grayed out (active) parameters:

    1. For a TS 36.141 compliant test signal, leave State enabled.

      If there is a need to disable State, refer to the State Checkbox Behavior topic for more information.

    2. For each signal, click the Signal Generator field and use the drop-down menu to select an instrument for the current signal.

      The drop-down selection menu contains all of the instruments configured in a previous step. When the same instrument is selected for all signals, the software combines all of the carriers into one waveform file for playback on the single instrument. When different instruments are selected for the various signals, each instrument plays only that signal for which it was selected. For more information, refer to the Waveform Files topic.

      For the PXB, to create a single waveform file for all signals, use the PXB (BBG1) selection. To create multiple waveform files, use the PXB (BBG1) selection for one or more signals and the PXB (BBG2) selection for the other one or two signals.

      The PXB (BBG2) selection cannot be used alone, it can only be used when another signal uses the PXB (BBG1) selection. The order in which they are used does not matter.

    3. Click Channel Bandwidth and set the bandwidth that is appropriate for the eNB under test and as specified by the test in the standards.

      Most grayed-out settings for all signals in the test are coupled to the Wanted Signal Channel Bandwidth selection. So a change to the Channel Bandwidth causes most other settings to change in accordance with the 3GPP standards.

    4. Set the remaining parameters as needed or required.

      For the 7.6 blocking tests, the settings include the Frequency (Absolute) property. The frequency entry field for this property includes Closed up/down arrows that when clicked, increments/decrements the frequency by 1 MHz..

  7. If there is a need to reconfigure the grayed out parameters, which causes the test to no longer be in compliance with the 3GPP standards, perform the following steps:

    1. Enable the Override Settings by checking the box.

      This causes the grayed-out parameters(inactive) to become active so they can be changed.

    2. Modify the settings as needed.

      After modifying the settings, if the Override Settings is disabled by unchecking the box, the software resets the grayed out parameters back to their default settings based on the current eNB Type selection in the Common Settings.

  8. Click the Execute button.

  9. If there is a need to stop the signals, click the Stop button.

    To restart the signals, click the Execute button, which again downloads all of the settings. If the PXB is the fading simulator:

    • all of the settings are downloaded if Delta Update State is unchecked

    • only those settings that differ from the previous download are downloaded if Delta Update State is checked

Related Topics

  • Instrument Setup for LTE TS 36.141 Clause 7 Tests

  • Configuring the Signal Generator

  • Configuring the PXB

  • Buttons

  • Menu Bar and Tool Bar

  • Test Considerations


Performing LTE TS 36.141 Clause 8 Receiver Performance Tests

This topic guides the user through using the preconfigured LTE Clause 8 tests. Because the Clause 8 tests use fading, they require the use of the N5106A PXB Baseband Generator and Channel Simulator, or an external fader. Either selection requires the use of signal generators, one per signal. The external fader, while a selection within the test settings, is not supported by the software. For more information, see the Test Considerations topic.

Test Case Manager also provides the ability to export those waveform settings that are created using a waveform file. The exported settings can be imported for use in the appropriate Signal Studio software. The real-time signal settings are captured and can be viewed using the SCPI Log Viewer. To save the currently download signal settings on the PXB, use the PXB save settings feature (see the PXB online documentation for more information).

Range values such as frequency and amplitude are dependent upon the instruments used. For an external fader, these are the signal generators identified in the Signal Generator (n:<connection status>) node. To find range values, refer to the instrument's User's Guide or the Data Sheet.

Each software setting has a hint (setting information) associated with it. To use the hints, just click on the setting and the hint appears below the settings window.

Some fields within the setting windows are grayed out, while others are not and allow a different setting. The grayed out fields are static settings required by the standards and may change, in accordance with the standards, as active fields within the same window or the Common Settings window are changed.

While making changes, you can monitor the signal changes by viewing the graphic at the bottom of the test settings window. If there is a need to save all of the software settings, this can be done by using the Save As... function to create a state file.

  1. If this is the first time running a Clause 8 test with the required version 14.0 of the Signal Studio for LTE software shown in the requirements, perform the Installing Instrument Files tutorial.

    If the files are not installed, the software displays a message that the instrument files need updating.

  2. Select a test.

    The test shows the number of required signals. Each test signal requires its own signal generator.

    1. If needed, expand Test Cases and any lower level collapsed nodes until the list of tests are displayed.

    2. Select the desired test and view its parameters noting the number of signals.

      Each signal requires a separate signal generator.

  3. Setup the instruments and make the connection to eNB.

  4. Configure the instrument(s).

    • If using an external fader:

      1. Connect the signal generators to the external fader.

      2. Use the process Configuring the Signal Generator to set the properties for each signal generator.

    • If using a PXB, use the Configuring the PXB process to set the PXB properties, which includes information for signal generators that connect to the PXB.

  5. Click the desired Common Settings node (FDD or TDD) and configure the eNB parameters.

    The eNB Type selection determines the grayed out settings in the test selections (test settings window) in accordance to the 3GPP standards, provided that Override Setting in the test settings window is not enabled.

  6. If performing closed loop testing, configure the Closed Loop Test Settings node:

    For more information on these settings, see the Closed Loop Test Settings topic.

    1. Click the Closed Loop Test Settings node.

    2. Set the markers by clicking each marker signal property (1, 3, 4) and use the drop-down menu to select the marker signal type.

    3. If needed, click on the properties in the HARQ/TA Settings section, and enter values as needed.

  7. Reselect the test selected in Step 2.

  8. Set the Channel Configuration fields:

    1. In the Fading Simulator field, use the drop down menu to select the instrument.

      • If PXB is the selection, the signal generators are connected to and controlled by the PXB. They are configured using the software's PXB setting window.

      • If External Fader is the selection:

        • it is not controlled by the software

        • it must provide the AWGN

        • the software controls the signal generators

    2. If the Number of Rx Ant field is active (not grayed out) and a different entry is needed,click on the displayed value or the drop-down arrow, and make a selection.

      The software adjusts the signal generator power levels above those displayed in the test setting window to account for SNR adjustments performed by the PXB. This is done to achieve the correct receive antenna power levels. It uses the this field's value and the Propagation Condition field setting to determine the correct power levels.

      If External Fader is the Fading Simulator selection, ensure that the external fader MIMO configuration matches this value.

      When using an external fader, it must be able to adjust the SNR to account for the software's signal generator power increase of 3 dB for the 2 Rx antenna selection and 6 dB for the 4 Rx antenna selection. These power increases are not included in the software's displayed signal generator power levels, but are added to the actual output power level.

    3. If the Propagation Condition field is active and a different entry is needed, click on the displayed setting or the drop-down arrow, and make a selection.

      If External Fader is the Fading Simulator selection, ensure that the external fader propagation condition matches this setting.

  9. Configure the non-grayed out (active) parameters for the signals:

    1. If using an external fader:

      1. For a TS 36.141 compliant test signal, leave State enabled.

        If there is a need to disable State, refer to the State Checkbox Behavior topic for more information.

      2. For each signal, click the Signal Generator field and use the drop-down menu to select an instrument for the current signal.

        The drop-down selection menu contains all of the signal generators configured in a previous step. Each signal must use a different signal generator and they must be the configured models shown in the requirements.

    2. Click Channel Bandwidth and set the bandwidth that is appropriate for the eNB under test and as specified by the test in the standards.

      Most grayed-out settings for all signals in the test are coupled to the Wanted Signal Channel Bandwidth selection. So a change to the Channel Bandwidth causes most other settings to change in accordance with the 3GPP standards.

    3. Set the remaining parameters as needed or required.

  10. Configure the AWGN based on the Fading Simulator selection:

    • For the PXB, determine whether to include AWGN by changing the status of the State checkbox.

      • checked means that AWGN is applied per the 3GPP standards
      • unchecked means no AWGN, and the test may no longer be in compliance with the 3GPP standards

    • For the External Fader, configure the AWGN on the fader.

      The software does not support the external fader, so the AWGN State checkbox and other properties are grayed out. The external fader must be capable of supplying the AWGN signal.

  11. If there is a need to reconfigure the grayed out parameters, which causes the test to no longer be in compliance with the 3GPP standards, perform the following steps:

    1. Enable the Override Settings by checking the box.

      This causes the grayed-out parameters(inactive) to become active so they can be changed.

    2. Modify the settings as needed.

      After modifying the settings, if the Override Settings is disabled by unchecking the box, the software resets the grayed out parameters back to their default settings based on the current eNB Type selection in the Common Settings.

  12. Click the Execute button.

  13. If there is a need to stop the signals, click the Stop button.

    To restart the signals, click the Execute button, which again performs a download. If the PXB is the fading simulator:

    • all of the settings are downloaded if Delta Update State is unchecked

    • only those settings that differ from the previous download are downloaded if Delta Update State is checked

Related Topics

  • Instrument Setup for LTE TS 36.141 Clause 8 Tests

  • Test Considerations

  • Configuring the Signal Generator

  • Configuring the PXB

  • Buttons

  • Menu Bar and Tool Bar


Installing Instrument Files

For LTE Clause 8 tests, when using the N7649B software where the required Signal Studio software version has changed, prior to the first signal build, there is the need to have the Signal Studio software install files in the instrument. Use the procedures below for the signal generators or PXB to install the needed files.

N5172B EXG and N5182B MXG Signal Generators

  1. If not already done, download and install the required version 14.0 of the Signal Studio for LTE software : www.keysight.com/find/signalcreation.

  2. Launch the real-time component of the Signal Studio software.

  3. Connect to the same instrument to be used by the N7649B Test Case Manager software.

    A Closed dialog box appears with a statement that instrument files need upgrading and provides a choice whether or not to deploy the files.

    If the dialog box does not appear and the connection is successful, this means that either the required version of the Signal Studio software has previously made a connection to the instrument, or the previously installed software version also contained the needed instrument files.

    If the files are not deployed (No), the instrument will not create the signal.

  4. Click Yes in the dialog box.

    The Signal Studio software installs the instrument files.

  5. After installing the files, close the Signal Studio software.

  6. Return to the test tutorial, and continue the steps.

N5106A PXB

  1. Verify whether the required version 14.0 of the Signal Studio for LTE software is installed:

    1. On the PXB GUI tool bar, click Help > About.

      This launches a window that shows the information about the PXB along with a list of installed Signal Studio software

    2. Verify whether the required Closed software version is installed.

      The following figure of the About window is an example that shows that the Signal Studio for LTE software is installed. But always validate that it is the correct version. The figure shows that the required version is not installed.

    3. If the required version is not installed, continue the procedure with the next step.

  2. Download and install the required version of the Signal Studio for LTE software onto the PXB: www.keysight.com/find/signalcreation.

    During the installation, a Closed progress window appears.

    Shortly after the progress window appears, a Closed prompt displays asking whether it is okay to upgrade the real-time component of the firmware to the required version.

  3. Click OK in the prompt.

    The Signal Studio software installs the instrument files along with the new version of software.

  4. Return to the test tutorial, and continue the steps.


W-CDMA Tutorials

  • Instrument Setup for W-CDMA LTE TS 25.141 Clause 6 Tests

  • Instrument Setup for W-CDMA TS 25.141 Clause 7 Tests

  • Instrument Setup for W-CDMA TS 25.141 Clause 8 Tests

  • Performing W-CDMA TS 25.141 Clause 6 Transmitter Tests

  • Performing W-CDMA TS 25.141 Clause 7 Characteristic Tests

  • Performing W-CDMA TS 25.141 Clause 8 Performance Tests


Instrument Setup for W-CDMA TS 25.141 Clause 6 Tests

The Clause 6 tests validate the base station's signal performance by introducing an interferer. The base station signal is combined with a signal generated by the signal generator. This combined signal is then evaluated using a signal analyzer.

After setting up the instruments, refer to the tutorial for configuring the test using the Test Case Manager software.

Ensure that the test signal amplitudes account for loss due to cables, connections, and combiner. To compensate for these losses, see the Configuring the Signal Generator tutorial.

The Clause 6 tests are supported with only the N5182B MXG or N5172B EXG signal generator.

Related Topics

  • Performing W-CDMA TS 25.141 Clause 6 Transmitter Tests
  • Waveform Files
  • System Requirements


Instrument Setup for W-CDMA TS 25.141 Clause 7 Tests

The Clause 7 characteristic tests vary in the number of signals used for each test. Each signal type requires the use of a separate signal generator (see W-CDMA Tests). This is shown in the setup figures contained in this topic. In a test setup where only one instrument is being used (one signal), ignore the instrument setup for second and third signal generator, and connect the first signal generator directly to the BTS receive port (a termination on the unused ports may be required). When using a multiple instrument setup (two or three instruments), refer to the 3GPP standard TS 25.141, Clause 7 tests to complete the connection from the signal generator RF Output to the BTS receive port.

After setting up the instruments, refer to the tutorial for configuring the test using the Test Case Manager software.

If a CW interferer is required, ensure that the CW interferer signal generator is the last instrument in the chain.

Ensure that the test signal amplitudes account for loss due to cables, connections, and combiner. To compensate for these losses, see the Configuring the Signal Generator tutorial.

Signal Generator Instrument Setup

The CW interferer can use the shown EXG/MXG or ESG signal generators for frequencies that are 6 GHz or less, or it can use the N5183A MXG or N8257D PSG microwave signal generators for all frequency ranges (less than and greater than 6 GHz). For more information, refer to the System Requirements.

Signal Generator 1 | Wanted signal
Signal Generator 2 | Interferer (W-CDMA or GMSK ) or the CW interferer when it is the only remaining interferer
Signal Generator 3 | CW interferer signal

PXB Instrument Setup

The PXB cannot generate a CW interferer. But if the software is running on the PXB, it can send the commands to the signal generator (MXG/EXG/ESG 3 in the figure) for it to generate the CW interferer.

MXG/EXG/ESG 1

Wanted signal

MXG/EXG/ESG 2

Interferer (W-CDMA or GMSK )

MXG/EXG/ESG 3

CW interferer signal—the figure assumes that the software is running on the PXB, but if it is running on a separate PC, then the LAN/GPIB connection would be to the same network as the PC

The CW interferer is also supported using the N5183A MXG or E8257D PSG microwave signal generators for all frequency ranges (less than and greater than 6 GHz). For more information, refer to the System Requirements.

Related Topics

  • Performing W-CDMA TS 25.141 Clause 7 Receiver Characteristic Tests
  • Test Considerations
  • Waveform Files
  • System Requirements


Instrument Setup for W-CDMA TS 25.141 Clause 8 Tests

With the W-CDMA Clause 8 tests, the software provides the selection to either use receiver diversity or not. While the figures contained herein show diversity use, an explanation at each figure explains the setup for non-diversity use.

After setting up the instruments, refer to the tutorial for configuring the test using the Test Case Manager software.

PXB Instrument Setup

The following figure shows the setup when using receiver diversity. When receiver diversity is not being used, only one signal generator and its accompanying connections are required.

External Fader Instrument Setup

The following figure shows the setup using receiver diversity. When receiver diversity is not being used, only one output from the external fader is required.

The external fader, while a selection within the test settings, is not supported by the software. For more information on using an external fader, see the Unsupported Instruments topic.

Ensure that the test signal amplitudes account for loss due to cables, connections, and combiner. To compensate for these losses, see the Configuring the Signal Generator tutorial.

Related Topics

  • Performing W-CDMA TS 25.141 Clause 8 Performance Tests
  • Test Considerations
  • Waveform Files
  • System Requirements


Performing W-CDMA TS 25.141 Clause 6 Transmitter Tests

This topic guides the user through using the preconfigured W-CDMA Clause 6 tests. With some exceptions, Test Case Manager also provides the ability to export the waveform settings for use in the appropriate Signal Studio Software.

Range values such as frequency and amplitude are dependent upon the instrument identified in the Signal Generator (n:<connection status>) node. To find range values, refer to the instrument's User's Guide or Data Sheet.

Each software setting has a hint (setting information) associated with it. To use the hints, just click on the setting and the hint appears below the settings window.

Some fields within the setting windows are grayed out, while others are not and allow a different setting. The grayed out fields are static settings required by the standards and may change, in accordance with the standards, as active fields within the same window or the Common Settings window are changed.

While making changes, you can monitor the signal changes by viewing the graphic at the bottom of the test settings window. If there is a need to save all of the software settings, this can be done by using the Save As... function to create a state file.

  1. Setup the instruments and make the connections.

  2. Configure the instrument(s).

    • Configuring the Signal Generator

      The W-CDMA Clause 6 tests are not supported on the ESG.

  3. Click the Common Settings node and configure the base station parameter.

  4. Select a test.

  5. Configure the BS Configuration settings:

    1. If the Spectrum Mode setting is available for the test and the base station is using non-continuous spectrum, use the drop-down menu to select Non-contiguous Spectrum.

    2. In the Frequency parameter, enter the carrier Frequency of the base station.

    3. If the Pout field is active, enter the base station output power.

      For tests 6.6, the W-CDMA Interferer Amplitude property automatically adjusts by –30 dB from the Pout value.

    4. When Non-contiguous spectrum is enabled, set the Lower Edge and Upper Edge spectrum values.

    5. If the settings include Transmit Diversity and it is needed, ensure that the check box shows as checked.

  6. Configure the interferer non-grayed out (active) parameters:

    1. For a TS 25.141 compliant test signal, leave State enabled.

      If there is a need to disable State, refer to the State Checkbox Behavior topic for more information.

    2. Click the Signal Generator field and use the drop-down menu to select an instrument for the current signal.

      The drop-down selection menu contains all of the instruments configured in a previous step.

    3. Set the remaining parameters as needed or required.

      For test 6.4.6, the Amplitude, EC, and Ioh parameters change with the Test Case selection.

  7. If a test includes AWGN, determine whether to include the AWGN by changing the status of the State checkbox.

    • checked means that AWGN is applied per the 3GPP standards

    • unchecked means no AWGN, and the test may no longer be in compliance with the 3GPP standards

  8. If there is a need to reconfigure the grayed out parameters, which causes the test to no longer be in compliance with the 3GPP standards, perform the following steps:

    1. Enable the Override Settings by checking the box.

      This causes the grayed-out parameters(inactive) to become active so they can be changed.

    2. Modify the settings as needed.

      After modifying the settings, if the Override Settings is disabled by unchecking the box, the software resets the grayed out parameters back to their default settings based on the 3GPP standards.

  9. Click the Execute button.

  10. If there is a need to stop the signals, click the Stop button.

    To restart the signals, click the Execute button, which again downloads all of the settings.

Related Topics

  • Instrument Setup for W-CDMA TS 25.141 Clause 6 Tests

  • Configuring the Signal Generator

  • Buttons

  • Menu Bar and Tool Bar

  • Test Considerations

  • Waveform Files


Performing W-CDMA TS 25.141 Clause 7 Receiver Characteristic Tests

This topic guides the user through using the preconfigured W-CDMA Clause 7 tests. Most tests use multiple signals: a wanted signal, an interferer, and some use an additional CW interferer. With some exceptions, Test Case Manager also provides the ability to export the waveform settings for use in the appropriate Signal Studio Software. For more information on the W-CDMA tests, see the W-CDMA Tests topic.

Range values such as frequency and amplitude are dependent upon the instrument identified in the Signal Generator (n:<connection status>) node. To find range values, refer to the instrument's User's Guide or Data Sheet.

Each software setting has a hint (setting information) associated with it. To use the hints, just click on the setting and the hint appears below the settings window.

Some fields within the setting windows are grayed out, while others are not and allow a different setting. The grayed out fields are static settings required by the standards and may change, in accordance with the standards, as active fields within the same window or the Common Settings window are changed.

While making changes, you can monitor the signal changes by viewing the graphic at the bottom of the test settings window. If there is a need to save all of the software settings, this can be done by using the Save As... function to create a state file.

  1. Select a test.

    The test shows whether one or multiple test signals are required.

    1. If needed, expand Test Cases and any lower level collapsed nodes until the list of tests are displayed.

    2. Select the desired test and view its parameters noting whether it requires one or more signals.

      If the test requires more signals than the number of signal generators showing in the Hardware Connections and Settings node of the tree window, the software allows the addition of more instruments. This step occurs later in the process.

  2. Setup the instruments and make the connection to the Base test station (BTS).

  3. Configure the instrument(s).

    • Configuring the Signal Generator

    • Configuring the PXB

  4. Click the Common Settings node and configure the base station parameters.

    The Base Station Type selection determines the amplitude setting (wanted, interferer, noise) in the test selections (test settings window) in accordance with the 3GPP standards, provided that Override Setting in the test settings window is not enabled.

  5. Reselect the test selected in Step 1.

  6. Configure the non-grayed out (active) parameters:

    1. For a TS 25.141 compliant test signal, leave State enabled.

      If there is a need to disable State, refer to the State Checkbox Behavior topic for more information.

    2. For each signal, click the Signal Generator field and use the drop-down menu to select an instrument for the current signal.

      The drop-down selection menu contains all of the instruments configured in a previous step. If an attempt is made to select the same signal generator previously selected for another signal, the software displays a message that the same signal generator cannot be used.

      To create multiple waveform files with the PXB, use the PXB (BBG1) selection for the wanted signal and the PXB (BBG2) selection for an interferer signal.

      For guidance on whether signals can be combined, refer to the Test Case Manager Software topic.

      The PXB (BBG2) selection cannot be used alone, it can only be used when another signal uses the PXB (BBG1) selection. The order in which they are used does not matter.

    3. If needed, enter a different Wanted Signal Frequency value.

      When an interferer includes frequency settings such as Operating Band, Frequency Absolute, and Δ Frequency, a change to the wanted signal Frequency value may affect these settings. Conversely a change in one of these settings may require a change in the wanted signal Frequency value.

    4. Set the remaining parameters as needed or required.

  7. If there is a need to reconfigure the grayed out parameters, which causes the test to no longer be in compliance with the 3GPP standards, perform the following steps:

    1. Enable the Override Settings by checking the box.

      This causes the grayed-out parameters(inactive) to become active so they can be changed.

    2. Modify the settings as needed.

      After modifying the settings, if the Override Settings is disabled by unchecking the box, the software resets the grayed out parameters back to their default settings based on the current Base Station Type selection in the Common Settings.

  8. Click the Execute button.

  9. If there is a need to stop the signals, click the Stop button.

    To restart the signals, click the Execute button, which again downloads all of the settings. If the PXB is the fading simulator:

    • all of the settings are downloaded if Delta Update State is unchecked

    • only those settings that differ from the previous download are downloaded if Delta Update State is checked

Related Topics

  • Instrument Setup for W-CDMA TS 25.141 Clause 7 Tests

  • Configuring the PXB

  • Configuring the Signal Generator

  • Buttons

  • Menu Bar and Tool Bar

  • Test Considerations

  • Waveform Files


Performing W-CDMA TS 25.141 Clause 8 Performance Tests

This topic guides the user through using the preconfigured W-CDMA Clause 8 tests. Because the Clause 8 tests use fading, they require the use of the N5106A PXB Baseband Generator and Channel Simulator, or an external fader. Either selection requires the use of signal generators, one per signal. The external fader, while a selection within the test settings, is not supported by the software. For more information, see the LTE FDD and LTE TDD Tests topic.

Test Case Manager also provides the ability to export those waveform settings that are created using a waveform file. The exported settings can be imported for use in the appropriate Signal Studio software. The real-time signal settings are captured and can be viewed using the SCPI Log Viewer. To save the currently download signal settings on the PXB, use the PXB save settings feature (see the PXB online documentation for more information).

Range values such as frequency and amplitude are dependent upon the instruments used. For an external fader, these are the signal generators identified in the Signal Generator (n:<connection status>) node. To find range values, refer to the instrument's User's Guide or the Data Sheet.

Each software setting has a hint (setting information) associated with it. To use the hints, just click on the setting and the hint appears below the settings window.

Some fields within the setting windows are grayed out, while others are not and allow a different setting. The grayed out fields are static settings required by the standards and may change, in accordance with the standards, as active fields within the same window or the Common Settings window are changed.

While making changes, you can monitor the signal changes by viewing the graphic at the bottom of the test settings window. If there is a need to save all of the software settings, this can be done by using the Save As... function to create a state file.

  1. Setup the instruments and make the connections.

  2. Configure the instrument(s).

    • If using an external fader:

      1. Connect the signal generators to the external fader.

      2. Use the process Configuring the Signal Generator to set the properties for each signal generator.

    • If using a PXB, use the Configuring the PXB process to set the PXB properties, which includes information for signal generators that connect to the PXB.

  3. Click the Common Settings node and configure the base station parameters.

    Properties within the Common Settings node may affect some of the values for the test selection settings in accordance with the 3GPP standards, provided that Override Setting in the test settings window is not enabled:

    • Base Station Type—Amplitude setting for wanted and noise along with Eb/No and Ec/No values. For Clause 8.11 tests, the Propagation Condition selections are based on the Base Station Type.

    • Receiver Diversity—Amplitude, Eb/No, and Ec/No values

    1. Use the Base Station Type field to select the base station type.

      The Base Station Type drop-down menu selections do not change based on test selection, so ensure that the selected type is compatible with the test selection. For more information, refer to the 3GPP standards

    2. Select whether to use Receiver Diversity:

      • box unchecked means only one antenna is required

      • box checked means diversity use and two antennas are required

    3. In the Wanted Scrambling Code field, enter the wanted signal scrambling code.

  4. Select the desired test.

  5. Set the Channel Configuration fields:

    1. In the Fading Simulator field, use the drop down menu to select the instrument.

      • If PXB is the selection, the signal generators are connected to and controlled by the PXB. They are configured using the software's PXB setting window.

      • If External Fader is the selection:

        • it is not controlled by the software

        • it must provide the AWGN

        • the software controls the signal generators

    2. View the Number of Tx Ant read only field to ensure that the configuration is using the correct number of antennas.

      Change the number of antenna using the Receiver Diversity property in the Common Settings node.

    3. If the Propagation Condition field is active and a different entry is needed, click on the displayed setting or the drop-down arrow, and make a selection.

      If External Fader is the Fading Simulator selection, ensure that the external fader propagation condition matches this setting.

  6. Configure the Wanted Signal non-grayed out (active) parameters.

    If using an external fader:

    1. For a TS 25.141 compliant test signal, leave State enabled.

      If there is a need to disable State, refer to the State Checkbox Behavior topic for more information.

    2. For the Wanted Signal, click the Signal Generator field and use the drop-down menu to select an instrument for the current signal.

      The drop-down selection menu contains all of the signal generators configured in a previous step. The signal generator must be a configured model shown in the requirements.

  7. Configure the AWGN based on the Fading Simulator selection:

    • For the PXB, determine whether to include AWGN by changing the status of the State checkbox.

      • checked means that AWGN is applied per the 3GPP standards

      • unchecked means no AWGN, and the test may no longer be in compliance with the 3GPP standards

    • For the External Fader, configure the AWGN on the fader.

      The software does not support the external fader, so the AWGN State checkbox and other properties are grayed out. The external fader must be capable of supplying the AWGN signal.

  8. If there is a need to reconfigure the grayed out parameters, which causes the test to no longer be in compliance with the 3GPP standards, perform the following steps:

    1. Enable the Override Settings by checking the box.

      This causes the grayed-out parameters(inactive) to become active so they can be changed.

    2. Modify the settings as needed.

      After modifying the settings, if the Override Settings is disabled by unchecking the box, the software resets the grayed out parameters back to their default settings based on the current Base Station Type selection in the Common Settings.

  9. Click the Execute button.

  10. If there is a need to stop the signals, click the Stop button.

    To restart the signals, click the Execute button, which again performs a download. If the PXB is the fading simulator:

    • all of the settings are downloaded if Delta Update State is unchecked

    • only those settings that differ from the previous download are downloaded if Delta Update State is checked

Related Topics

  • Instrument Setup for W-CDMA TS 25.141 Clause 8 Tests

  • LTE FDD and LTE TDD Tests

  • Configuring the Signal Generator

  • Configuring the PXB

  • Buttons

  • Menu Bar and Tool Bar


Transferring the Test Parameters into Signal Studio

To use this process, you must have the appropriately licensed Signal Studio software installed on your Windows operating system (PC or Windows-based instrument) and have exported the test settings (not all settings can be exported).

The Test Case Manager software provides the ability to transfer most test settings into the appropriate Signal Studio software. After opening the file in Signal Studio, use the Signal Studio software to modify the test parameters and download the waveform to an instrument. While Signal Studio provides a more complex test setting environment, this environment allows for greater control over modifying the test parameters.

This process transfers only the settings from the Common Settings node and the selected test,and excludes any instrument settings that may be included with the test settings. Because the instrument settings are not included, there is no need to connect or configure an instrument.

The test settings cannot be transferred from the Signal Studio software into Test Case Manager

  1. Configure the test parameters:

    Because instrument settings are not included in the export settings file, ignore the link in the tutorials for configuring the instruments.

    • Performing LTE TS 36.141 Clause 6 Transmitter Tests

    • Performing LTE TS 36.141 Clause 7 Receiver Characteristic Tests

    • Performing LTE TS 36.141 Clause 8 Receiver Performance Tests

    • Performing W-CDMA TS 25.141 Clause 6 Transmitter Tests

    • Performing W-CDMA TS 25.141 Clause 7 Characteristic Tests

    • Performing W-CDMA TS 25.141 Clause 8 Performance Tests

  2. Click File > Export Signal Studio Setting...

    This launches the Save As dialog box.

  3. Using the Save As dialog box, navigate to the desired file storage location, name the file, and click Save.

    This saves the file with a .scp extension.

  4. Open the appropriate Signal Studio Software.

  5. In the Signal Studio software, select File > Open.

    This launches the Signal Studio software Open Settings File dialog box.

  6. Use the Open Settings File dialog box to navigate to the previously saved Test Case Manager .scp file, and click Open.

    The test settings, excluding any instrument settings, are loaded into the Signal Studio software.

  7. In the Signal Studio software, perform the followings tasks. If needed, refer to the Signal Studio software help for information on performing the tasks:

    1. Connect to an instrument using the System Configuration Wizard.

    2. Modify the test settings as needed.

    3. Download the test waveform to the instrument.


Transferring the GMSK Interferer Waveform File

Use this process when the W-CDMA TS 25.141 Clause 7 test settings have been exported for use in the N7600B Signal Studio for W-CDMA / HSPA+ software, the test requires the use of the GMSK Interferer signal, and there is a need to transfer the GMSK file to a signal generator. Only a few of the W-CDMA Clause 7 tests use the GMSK Interferer.

For the tests that require a GMSK Interferer, the Test Case Manager software creates this signal by using a pregenerated waveform file. This means that for this signal, there are no settings to export for use in the Signal Studio software, and the Signal Studio software cannot reproduce this signal.

N7600B Signal Studio License Requirement

For a full list of the Signal Studio license requirements needed to use the Test Case Manager software, see the System Requirements topic.

N7600B-EFP

This is the minimum Signal Studio license required to playback the GMSK Interferer on a signal generator to where the GMSK waveform file was manually downloaded.

Transferring the Waveform File

Use the Test Case Manager Software

This process uses both the software and signal generator to transfer and store the GMSK waveform file for later use without the software interface.

Test Case Manager Software

  1. Select the test that requires the use of the GMSK Interferer.

  2. Configure and download the test signals.

  3. Click the Stop bottom at the top of the test setting window.

Signal Generator

If more information is needed to complete the following steps, refer to the signal generator's User documentation.

These steps apply to the signal generator that received the downloaded GMSK Interferer signal.

  1. Save the GMSK waveform file to the signal generator non-volatile memory.

    This keeps the file from being erased if the signal generator is turned off.

  2. Store the signal generator settings using the signal generator's Save feature.

    This stores the instrument settings such as frequency and amplitude, and the name of the loaded waveform file if one was being played back.

  3. To recall the settings, use the signal generator's Recall feature to load the saved instrument state, that includes the waveform file.

    The recall feature returns the signal generator to most of its previous settings that includes frequency and amplitude, and the GMSK waveform file (if needed, it loads the file from non-volatile memory).

Manually Transfer the File

E4438C ESG Signal Generator

For this signal generator, the only method for a manual download is to use SCPI commands. To obtain the proper commands, refer the ESG SCPI Command documentation.

If more information is needed to complete the steps relative to signal generator operation, refer the signal generator's User documentation.

  1. Ensure that the signal generator has at least the minimum N7600B waveform license requirement.

  2. Use SCPI commands to load the waveform into volatile or non-volatile memory.

    Non-volatile memory is the better choice. This prevents losing the file when the signal generator is turned off.

    The Test Case Manager software stores the GMSK Interferer waveform file in the same location as the other waveform files.

  3. If the file was loaded into non-volatile memory, use the signal generator Dual ARB mode to load the file into its volatile (waveform) memory.

    The file needs to reside in waveform memory for play back.

  4. Set the signal generator's frequency.

  5. Set the signal generator's amplitude.

  6. Turn-on Dual ARB.

  7. Turn-on the signal generator's RF Output.

  8. If there is a needed to save the setup for future use, use the signal generators Save and Recall features.

MXG/EXG Signal Generators

For these signal generators, there is the choice to use either SCPI commands or transfer the GMSK waveform file with a USB memory stick.

If more information is needed to complete the steps, refer the signal generator's SCPI and/or User documentation.

  1. Ensure that the signal generator has at least the minimum N7600B waveform license requirement.

  2. Use a USB memory stick or SCPI commands to load the waveform into volatile (BBG) or non-volatile (Internal storage) memory.

    Internal storage memory is the better choice. This prevents losing the file when the signal generator is turned off.

    The Test Case Manager software stores the GMSK Interferer waveform file in the same location as the other waveform files.

  3. If the file was loaded into internal storage memory, use the signal generator Dual ARB mode to load the file into its BBG memory.

    The file needs to reside in BBG memory for playback.

  4. Set the signal generator's frequency.

  5. Set the signal generator's amplitude.

  6. Turn-on Dual ARB.

  7. Turn-on the signal generator's RF Output.

  8. If there is a needed to save the setup for future use, use the signal generators Save and Recall features.


Configuring the Signal Generator

Use this procedure when the signal generators are not controlled by the PXB. but rather the signals are directly downloaded to the signal generators by the software.

When multiple signal generators are used for tests, each signal generator has to be configured separately.

  1. Select the Signal Generator node located under the Hardware Connections and Settings node.

  2. After either leaving or entering a new Signal Generator name, enter the VISA Address:

    1. Click the VISA Address cell to display the hint that provides the description and examples of the address entry.

    2. Enter the VISA Address

      When entering the address, ensure that all colons (used in both TCPIP and GPIB connections) are present in the completed Closed VISA address

  3. Use the Test Connection button to connect to the instrument identified in the VISA Address setting.

    If the connection is successful, the Closed connection status of the instrument changes to Connected.

    After making the connection, the software lists all of the Signal Studio licenses from the instrument. To view the list, see the Misc section at the bottom of this settings window.

  4. If there is a need to create a waveform file without having to download it to an instrument, enable the Offline Mode.

    With Offline Mode enabled, select the signal generator Model Type. This ensures that the SCPI commands shown in the SCPI Log Viewer are the correct commands for the selected model type.

  5. If performing a test that requires closed loop feedback testing, click the HARQ/TA Test Support checkbox to where it shows as being checked.

    This enables the settings shown in the Closed Loop Feedback Configuration Closed section.

  6. Configure the Properties for the signal generator:

    1. Click Path Loss and enter the value in dB.

      The path loss value enables the signal generator to compensate for loss due to cables, connectors, combiners, etc.from the RF Output of the signal generator to the input of eNB/BTS.

    2. Click Trigger Polarity, and select either positive or negative.

    3. Click Trigger Delay, enter the delay value that compensates for the trigger latency of the instruments and enables the instrument's RF Output to align with the eNB/BTS 10 ms frame trigger signal. To compensate for the instrument trigger latency, use the following formula:

      Trigger Delay = 10 ms - trigger latency

      To find the trigger latency for each instrument, refer to that instrument's Data Sheet. For LTE tests using the N5172B EXG and N5182B MXG, the trigger latency varies depending on the channel bandwidth.

      The trigger delay is applicable only when the Trigger Type is set to either Pattern Trigger 1 (Trigger & Run) or Pattern Trigger 2 (Trigger & Run).

    4. Click Trigger Type and select the desired triggering method.

      The default selection of Pattern Trigger 1 (Trigger & Run) holds the playback of the waveform until the signal generator receives a trigger.

      For the PXB, EXG, and MXG instruments, after downloading the signals and if the instruments are waiting for a trigger, the software displays the annunciator TRIG ARMED in the right corner of the message bar.

      For the Clause 7 tests, the instrument setup diagrams already account for the trigger using the 10 ms frame pulse from eNB/BTS.

      To use the test signal without synchronizing with eNB/BTS, select Free Run from the drop-down menu.

    5. Determine whether the Baseband Offset State should be enabled. When enabled, the offset frequency shown in the Baseband Offset Frequency cell is applied to the signal generator upon downloading the waveform.

      The baseband offset helps mitigate the effects of LO feedthrough. This is especially useful when using a single instrument that combines a high power interferer with a low power wanted signal. In this instance, the baseband offset shifts the wanted signal from the center frequency by the amount entered, thereby helping to avoid the effect of a large DC feedthrough.

  7. If enabled, set the Closed Loop Feedback Configuration properties.

    For more information on the properties, use the hints, and review the Closed Loop Feedback Configuration topic.

  8. With some test case exceptions, if the Signal Studio software is not licensed for waveform files, but is licensed for real-time signals (Wxx license), Closed check the Apply Wxx RT License for waveform file.

    For more information on this feature and the exceptions, see the Test Settings topic.

    To determine whether the instrument is licensed for Signal Studio waveform files, see the license listing in the Signal Studio Licenses property. The software displays the license listing after connecting to the instrument.

    This step does not apply to the W-CDMA Clause 7 tests. To perform the W-CDMA Clause 7 tests, the N7600B Signal Studio for W-CDMA / HSPA+ software must be licensed for waveform files as shown in the System Requirements topic.

  9. If needed, use the buttons at the top of the setting window to add instruments for use with multiple signals such as an interferer, or to delete an instrument. In some instances, the software also allows the use of a single instrument for a multiple carrier test signal. For more information refer to the Test Case Manager Software topic.

    if instruments are added, each instrument needs to be configured.


Configuring the PXB

In order to generate the test signals, the PXB uses and controls signal generators as RF upconvertors. Within the PXB Setting window, there is the requirement to set some settings for the signal generators so that they can be used with the PXB.

The PXB cannot be used to generate a CW signal.

If more information is needed other than what is contained in this procedure or in the software hints for each of the fields, refer to the PXB online documentation.

  1. Ensure that software is connected to the PXB—within the tree window, the PXB connection shows PXB (Connected).

    If it is not connected (PXB (Disconnected)), refer to the Testing Connections topic to make the connection.

  2. Click on the desired test to see the number of required test signals.

    Typically the PXB requires a signal generator connection for each signal. But some tests such as for LTE Clause 7, where all of the signals can be combined into a single waveform file, a single signal generator connection is valid. For more information refer to the Test Case Manager Software and Supported Instruments topics.

  3. Using the PXB online documentation, connect the needed number of signal generators to the PXB, but do not use the PXB GUI to configure or recognize the connected signal generators.

    The software's PXB settings configure the signal generators connected to the PXB.

  4. In the tree window, click the PXB (Connected) node to display the PXB Setting window.

  5. Within the PXB Setting window, configure the required number of signal generator connections.

    The PXB uses this information to identify and control the signal generators.

    1. Enter the SGn VISA Address where n is the SG number (SG1...n).

      When entering the address, ensure that all colons (used in both TCPIP and GPIB connections) are present in the completed Closed VISA Address.

      The software does not test these connections. But the signal generator connections can be tested by using the signal generator selection under the Hardware Connections and Settings Node. If they are tested under this node, it does not affect the test if they remain connected as identified by the node (Signal Generator (0...n:Connected)).

    2. Using the SGn Port Name field, select the PXB port that will be assigned to the signal generator.

    3. Using the SGn Port Type field, select the port type:

      • Digital uses the PXB's digital I/O bus to connect to the external instrument.

      • Analog uses SMB(f)-to-BNC(m) cables to connect the PXB's analog I/Q connectors to an RF signal generator capable of receiving analog I/Q inputs

  6. Configure the Properties for the PXB.

    1. Set each of the trigger fields.

    2. Determine whether the Baseband Offset State should be enabled.

      When enabled, the offset frequency shown in the Baseband Offset Frequency cell is applied to the signal generator upon downloading the waveform. The baseband offset helps mitigate the effects of LO feedthrough. This is especially useful when using a single instrument that combines a high power interferer with a low power wanted signal. In this instance, the baseband offset shifts the wanted signal from the center frequency by the amount entered, thereby helping to avoid the effect of a large DC feedthrough.

    3. Set the reference for the PXB.

      The PXB external reference, may be another instrument or another device, such as a time-standard used in your facility. This external reference signal provides the synchronization and timing for all of the PXB circuits. The signal is connected from its source to the SMB connector labeled EXT REF IN on the PXB rear panel.

      A valid reference signal for the external reference:

      • Must be in a range from 1 MHz to 100 MHz in the reference frequency setting

      • Have an input power range of –5 to 10 dBm

      When the PXB detects a valid reference signal at the EXT REF IN connector, it automatically displays an indicator on the status bar, showing the presence of an external reference frequency at the rear panel. If the signal at the EXT REF IN connector is out of range or not detected, the PXB displays an error message its status bar.

  7. Set the Closed Loop Feedback Configuration properties.

    For more information on the properties, use the hints, and review the Closed Loop Feedback Configuration topic.

  8. With some test case exceptions, if the Signal Studio software is not licensed for waveform files, but is licensed for real-time signals (Wxx license), Closed check the Apply Wxx RT License for waveform file.

    For more information on this feature and the exceptions, see the Test Settings topic.

    To determine whether the instrument is licensed for Signal Studio waveform files, see the license listing in the Signal Studio Licenses property. The software displays the license listing after connecting to the instrument.

    This step does not apply to the W-CDMA Clause 7 tests. To perform the W-CDMA Clause 7 tests, the N7600B Signal Studio for W-CDMA / HSPA+ software must be licensed for waveform files as shown in the System Requirements topic.

  9. If needed, enable Delta Update State by clicking the checkbox so that a check-mark shows.

    When enabled, this setting upon clicking Execute reduces the time it takes to configure the PXB. This is done by the PXB only implementing those changes that are different on a subsequent download


Test Considerations

Whether it is instrument selection, configuration, or test settings, there are items to consider.

Unsupported Instruments | describes the software's behavior when using an unsupported instrument selection
Supported Instruments | describes the supported instruments behavior
Test Case Manager Software | provides information on how the software operates
LTE FDD and LTE TDD Tests | describes the software behavior when using these tests
W-CDMA Tests | describes the software behavior when using these tests
Test Settings | describes the test settings that impact the software
Closed Loop Feedback Configuration | provides information on these settings, which are located in the Signal Generator and PXB nodes
Closed Loop Test Settings | provides information on the settings found in this node


Unsupported Instruments

All instruments supported by software are shown in the tree window. But for some tests, there may be an additional instrument selection within the test setting window that is not supported by the software (not shown in the tree window). An example of this situation is in the LTE Clause 8 test setting window, where the Fading Simulator Closed field shows a selection for the PXB (supported instrument) or an External Fader (unsupported instrument).

When an unsupported instrument is selected, there are additional manual test settings that must be performed. The unsupported instrument must be configured in accordance with the standards to perform its function

External Fader—LTE Clause 8 and W-CDMA Clause 8 Tests

The external fader is a Fading Simulator selection for the Clause 8 tests. Even though it is a selection within the software, the external fader is not supported by the software and therefore not controlled by the software. But the signal generators used in conjunction with the external fader, and identified (connected) in the Hardware Connections and Settings node are controlled by the software. The following list shows the requirements to use an external fader:

  • the external fader, in addition to providing fading for all signals, must also provide the following:

    • the AWGN (this is indicated in the software by the AWGN section being grayed out)

    • the MIMO configuration

    • the propagation condition

  • some external fader settings must match those of the software's channel configuration (see the tutorials)

  • each waveform must use a separate signal generator

  • the signal generators used must be the ones listed in the requirements topic for Clause 8 tests

  • the external fader must be able to adjust the SNR to compensate for the signal generator's increased power level of 3 dB and 6 dB for Rx antenna setups of 2x and 4x respectively

    This increased power level is in addition to the software's displayed signal generator power level.

  • the State checkbox must be checked for all signals and the Override Settings checkbox unchecked to download valid signal generator test signals in accordance with the 3GPP standards


Supported Instruments

Typically supported instruments are available for all tests. All instruments shown in the tree window, whether or not connected, appear as selections in the test setting windows. It is up to the user to ensure that selected test instruments are connected and configured to support the tests.

PXB

The PXB Baseband Generator and Channel Simulator generates baseband signals and provides additional testing enhancements for its channels. Since it generates baseband level signals, it requires the use of connected signal generators to upconvert to RF. The PXB controls these signal generators.The selected test and how the waveforms are set within the software determines the number of PXB baseband generators (BBG)/channels and connected signal generators.

For example in LTE Clause 7 tests, if each signal in the test setting window used PXB (BBG 1) for the signal generator selection, than only one channel and one signal generator is used. But if one signal used PXB (BBG 1) and another used PXB (BBG 2), then the PXB would use two channels and it requires the connection of two signal generators. Whereas for LTE Clause 8 tests with the PXB selection, each signal uses a separate BBG in the PXB. So the PXB requires a signal generator connection for each signal.

Whether to use the PXB is dependent upon the test needs. The software allows the use of only one PXB. But the PXB provides multiple capabilities for signal generation:

  • generates a single waveform (one real-time signal or waveform file) when configured with a single baseband generator (BBG)

    This is commonly referred to as a single channel configuration

  • generates multiple waveforms (multiple real-time signals or waveform files) when configured with multiple BBGs—one waveform per BBG

    So if it is using two BBGs, it is considered a two channel configuration and so on.

  • provides fading for each channel as determined by each test in accordance with the 3GPP standards

  • provides MIMO setup as determined by each test in accordance with the 3GPP standards

  • adds AWGN to the channels as determined by each test in accordance with the 3GPP standards

When using the PXB, the Signal Studio software must be licensed to use it, but the Signal Studio software does not have to be licensed to use the signal generators connected to the PXB.

To use the PXB:

  1. Select it from the tree window.

  2. Configure the PXB settings.

  3. Select the PXB in the test settings window

For more information on the PXB, refer to the PXB online documentation.

Signal Generators

The software enables the use of either a single signal generator or multiple signal generators. To add more signal generators than what is displayed, use the Add Instrument button.The signal generators are used in some tests as standalone instruments, or in other tests, such as for LTE, in combination with the PXB or an instrument such as an external fader.

When the signal generator is connected to another instrument that is supported by the software, the signal generator may then be controlled by that instrument, such as with the PXB. But when the signal generator is used with an instrument that is not controlled by the software such as with the external fader, then the software typically controls the signal generators.

The LTE Clause 7 and 8 tests provide examples of these various use cases of the signal generators.


Test Case Manager Software

In addition to easily creating complex 3GPP test signals,the software provides flexibility in instrument selection and use. When test signals are generated through the use of waveform files, some tests provide the flexibility to combine signals into a single file. This capability reduces the number of instruments needed for a test. To determine which test clauses allow signal combining, refer to the test discussion topics:

  • LTE FDD and LTE TDD Tests

  • W-CDMA Tests

For more information on waveform files, see the Waveform Files topic.

AWGN Interferer

While the AWGN is an interferer, it does not require its own instrument. It is generated on the same instrument that outputs the signal. For information on setting the AWGN state, see the State Checkbox Behavior topic.

Test Signal Downloads

When the Execute button is clicked, the software downloads all of the test settings to the connected instruments. The amount of information that is downloaded depends on the test, the test settings, and the number of signals. Because this varies by test selection, the amount of time it takes to download the test signals varies. There are other factors that also determine the amount of time it takes to download the signals such as the processor speed of the PC running the software, and the connection between the PC and instruments. An example of a test the may take a few minutes to download is the LTE Clause 8 test, 8.3.3 ACK missed detection for multi user PUCCH format 1a. This test uses a wanted signal, three interferer signals, and an AWGN interferer.

While downloading the signals, the software constantly displays a status bar as to it current actions such as initializing instruments, generating waveforms, and attempting to apply signal generator settings. While the software is downloading the information, the software GUI lightens and the status bar is in the foreground. If the download fails for any reason, the software displays the error message in the message bar.


LTE FDD and LTE TDD Tests

LTE Clause 6 Tests

These tests are used to determine the performance of the transmitter and typically require the use of only one signal. The interferer signal is applied to the transmitter port.The tests are used do to determine a range of attributes such as power adjustment capability in the presence of an interferer, and the ability to inhibit undesired signals due to intermodulation. The tests are supported on only the N5172B EXG or the N5182B MXG signal generators.

The test case 6.2.6 Home BS output power for adjacent UTRA channel protection is different in that it uses a W-CDMA signal rather than an LTE signal as the interferer. Because it uses a W-CDMA signal, it requires having licenses for the N7600B Signal Studio for W-CDMA / HSPA+ as shown in the requirements.

The test case 6.2.8 Home BS output power for co-channel E-UTRA channel protection has the option to use one or two interferers. When using two interferers, there is the potential to set a wide offset between the two signals that it exceeds the instrument's capability. Because of this potential, it is recommended that a separate signal generator be used for each interferer.

LTE Clause 7 Tests

Most of these tests provide the flexibility to combine waveforms into a single waveform file so minimal instruments are required. For example, use only a single signal generator as a standalone instrument, or use only one of the BBGs in the PXB with the PXB connected to one signal generator. The exception to this flexibility is the 7.6 Blocking (Co-Located) test. This test always requires the use of a separate signal generator or PXB BBG with an additional signal generator for each signal. The other 7.6 blocking tests may also require separate signal generators for each signal if the combined signals exceed the instruments bandwidth limitations. If this condition arises with the other 7.6 tests, the software provides a message.

In addition with using the PXB, MIMO and fading are also considerations that can be added to the signals.

LTE Clause 8 Tests

Signal Combining and Instrument Use

A separate signal generator is required for each test signal, because the test signals cannot be combined into a single waveform file. But how these signal generators are controlled for the signals is dependent upon the Fading Simulator selection, PXB or External Fader.

With the PXB, the PXB controls the signal generators based on input from the software. The PXB generates the signals, then using the PXB configuration set in the PXB Setting window, outputs the signals to the signal generators for upconverting. Because the PXB controls the signal generators, the Signal Generator fields in the test setting window are grayed out.

With the external fader, the user must select a different signal generator for each signal. Each signal generator must be configured and show as connected in the Hardware Connections and Settings node. The software then controls, and downloads the signal and settings to each of the signal generators.

Test Cases

For the test case 8.2.3 HARQ-ACK Multiplexed on PUSCH with the wanted signal FRC selection of A3-1, this signal can take minutes to generate. This is due to the longer waveform length required to provide enough randomness in the payload data. The computer's CPU speed also influences this time. In order to mitigate the generation time on subsequent Executes, the software, for the initial generation, creates a local waveform file that has a unique name .Upon a subsequent Execute, provided that there were no setting changes that includes the Common Settings, the software downloads the existing waveform file. This saves time because the software does not have to regenerate the file for download. For the software to use this feature, the target instrument must have the required Basic/Advanced waveform playback licenses for the Signal Studio software and the Override Settings unchecked (disabled). Test Case Manager's feature of using the Signal Studio real-time license in place of the playback licenses cannot be used.

Upon a subsequent Execute, if any of the settings were changed since the initial waveform generation, the software creates a new waveform file with another unique name.

The unique waveform file name is comprised of settings that includes whether it is FDD or TDD. The following table shows an example of a unique name and parses that name to show how it is created.

FDD |  | TDD
Parsed Waveform Name: LTEFC145R1HSB1_4 | Meaning | Parsed Waveform Name: LTETC150R5HGB3U1 | Meaning
LTEF | FDD | LTET | TDD
C145 | Cell ID 145 | C150 | Cell ID 150
R1 | Wanted RNTI 1 | R5 | Wanted RNTI 5
HS | Hopping Sequence | HG | Hopping Group
B1_4 | Channel Bandwidth 1.4 MHz | B3 | Channel Bandwidth 3 MHz
--- | --- | U1 | UL/DL Configuration 1

To see whether a particular unique waveform file exists, use the Open Waveform Folder… function.

The following flowchart illustrates this unique named file creation process and reuse.


W-CDMA Tests

W-CDMA Clause 6 Tests

These tests are used to determine the performance of the transmitter and require the use of only one signal. The interferer signal is applied to the transmitter port.The tests are used do to determine a range of attributes such as power adjustment capability in the presence of an interferer, and the ability to inhibit undesired signals due to intermodulation. The tests are supported on only the N5172B EXG or the N5182B MXG signal generators.

W-CDMA Clause 7 Tests

A separate signal generator is required for each test signal. None of the signals can be combined into a single waveform file.

A few of the tests require the use of a GMSK Interferer signal. This software includes the ability to build this signal, so no additional Signal Studio software is required beyond that shown in the System Requirements topic.

To perform BER testing, a wanted signal with 1022 frames is required. This means that the wanted signal needs approximately 39 Msa of memory and can take about seven minutes to download depending on items such as processor speed and connection. An example of this is the wanted signal (RMC 12.2K) used for the 7.6 Intermodulation test. Because it can take time to download a test signal, the software has incorporated additional Execute behavior to minimize the time when changes are made to the signal.

With the PXB, the PXB controls the signal generators based on input from the software. The PXB generates the signals, then using the PXB configuration set in the PXB Setting window, outputs the signals to the signal generators for upconverting. Because the PXB controls the signal generators, the Signal Generator fields in the test setting window are grayed out. Use the PXB to add fading to any of the test signals.

GMSK Interferer

The narrowband Clause 7 tests, Narrow Band Blocking and Intermodulation (Narrowband), use a GMSK Interferer signal. The software creates this signal differently form the W-CDMA signals in that the GMSK signal is created from a previously generated and stored waveform file. The W-CDMA signal is generated in conjunction with the N7600B Signal Studio software, there is no pregenerated waveform file. If a test includes the GMSK signal and the test settings are exported for use in the Signal Studio software, the GMSK settings, because of the pregenerated file, are not included in the exported file. In addition, the Signal Studio software cannot reproduce the GMSK signal.

If there is a need to continue using the GMSK Interferer provided by the software and it has already been download using this software, the signal can be controlled using the SCPI commands from the SCPI Log Viewer. If the GMSK waveform needs to be stored on the signal generator or manually download, see the Transferring the GMSK Interferer File topic.

W-CDMA Clause 8 Tests

Because some of these tests require fading or diversity output (multiple antennas), the instruments used require fading capability as well as single-user MIMO 1x2 operation. The software provides two selections for these capabilities. Either selection still requires the use of signal generators listed in the requirements topic. But how these signal generators are controlled for the signals is dependent upon the Fading Simulator selection, PXB, or External Fader.

With the PXB, the PXB controls the signal generators based on input from the software. The PXB generates the baseband signals and adds the AWGN. Then using the PXB configuration set in the PXB Setting window, outputs the signals to the signal generators for upconverting. Because the PXB controls the signal generators, the Signal Generator fields in the test setting window are grayed out.

With the external fader, a signal generator selection is required. The signal generator must be configured and show as connected in the Hardware Connections and Settings node. The software then controls, and downloads the signal and settings to the signal generator.


Test Settings

This topic describes unique behaviors and couplings associated with the following settings:

Apply Wxx RT license for waveform file

State Checkbox

Offline Mode

Override Settings

Use User Defined Waveform

Apply Wxx RT license for waveform file

This Closed checkbox appears in the Misc section of the Signal Generator Settings window regardless of the test selection, however, it is not applicable to W-CDMA tests. For W-CDMA tests, the Signal Studio software must have the waveform licenses.

With some test case exceptions, by checking this box, the software uses the Signal Studio real-time license to create, download, and play waveform files for non-real-time signals. No waveform license is required. If the Signal Studio software is licensed for waveform files and this box is checked, the software ignores the waveform file licenses and uses the real-time license instead. But there is no benefit to using this feature when the Signal Studio software is licensed for both real-time signals and waveform file type signals.

The Wxx real-time license checkbox does not affect the UTRA Interferer in LTE 6.2.6 tests, whether or not Use User Defined Waveform is activated. It also doesn't affect the Wanted Signal for LTE Clause 7 and 8 tests when Use User Defined Waveform is activated.

To use this feature, the Signal Studio software must have the real-time license.

Exceptions

LTE test cases 8.3.4 to 8.3.9 requires the waveform licenses. For more information on waveform licenses, refer to the System Requirements.

State Checkbox

See the State Checkbox Behavior topic.

Offline Mode

See the Waveform Files topic.

Override Settings

By checking this box, it causes the grayed-out fields (inactive) to become active so they can be changed. The exception to this action is for the State checkbox and some of the fields when the PXB is used.

If the test settings are modified by using this feature, the test may no longer be in compliance with the 3GPP standards.

After modifying the settings, if the Override Settings is disabled by unchecking the box, the software resets the grayed out parameters back to their default settings based on the current eNB Type selection in the Common Settings.

This setting is not available and does not show for LTE FDD/TDD test case 6.7 Transmit Intermodulation.

Use User Defined Waveform

To use this feature, you must activate Override Settings. Consider the following when using a user-defined waveform:

  • The offset frequency setting must be included in the user-defined waveform file. The Offset Frequency setting in the Test Case Manager software has no effect on user-defined waveforms.

  • If a user-defined waveform is used for an LTE 6.2.6 UTRA Interferer, Channel Bandwidth and Interferer Position are not disabled, but have no effect on the UTRA interfering signal. However, Channel Bandwidth continues to affect the AWGN Interferer.

  • If a user-defined waveform is used for an LTE Clause 7 or 8 Wanted Signal, only the State, Signal Generator, Frequency, Amplitude, and SNR (Clause 8 only) settings have an effect on the wanted signal. All other parameters do not affect the wanted signal.


Closed Loop Feedback Configuration

The PXB and Signal Generator nodes settings include closed loop settings that are the same with the exception of the Signal Generator node property checkbox of HARQ/TA Test Support. To use closed loop feedback with a signal generator, this box must be checked.

These settings setup the instrument to receive feedback signaling from the eNB/base station. For LTE Clause 8 tests, additional settings are provided to configure how the PXB or Signal Generator responds to the received feedback signal.

There are four settings within the Closed Loop Feedback Configuration section of the instrument node settings window:

  • Mode—select the feedback signal type using the drop-down menu

    • Dedicated (Serial Data)

    • Multiplexed (Level Triggered)

  • AUX Port Pin

    Use the drop-down menu to select which pin on the AUX IO connector receives the feedback signal.

  • Baud Rate

    Applicable when using the dedicated mode (Dedicated)Serial Data))

  • Data Polarity

    Use the drop-down menu to make the selection.

Dedicated(Serial Data)

The feedback signal must be sent for every subframe.

The dedicated signal type uses a serial format with an LV TTL RS-232 type protocol. Baud rate selections up to 460800 are supported in this format. Refer to the Baud Rate property drop-down menu for the baud rate selections.

Each signaling transmission consists of an 8-bit character: b7 b6 b5 b4 b3 b2 b1 b0. The least significant bit (LSB) is b0. The signaling transmission consists of a start bit set to '0', followed by 8 data bits transmitted LSB first. The last bit of the transmission is a stop bit that is set to '1'. The following figures illustrate this serial bit pattern for both positive and negative polarities. The middle figure includes the hex value.

These serial command signals connect to one of the instrument's AUX I/O connector pins AUX0 to AUX11. The selection for a pin is done using the AUX Port Pin property drop-down menu. The serial format transmits 8-bits at a time to the instrument. These bits can be mapped to the auxiliary signaling functions using the Closed Loop Test Settings node.

W-CDMA Signaling

This HARQ feedback signal uses bit 4 for the ACK, or NACK: This is the only bit used by the software.

  • ACK bit value is '1'

  • NACK bit value is '0'

LTE Signaling

To determine whether a signal is for HARQ or timing adjustment (TA), the serial data dedicates bit 7 and bit 6 for the signal type:

  • "00" means that bit 5 to bit 0 are recognized as a TA command

  • "01" means that bit1 to bit 0 are recognized as an HARQ ACK/NACK command

The following figures show the variations for bit 7 and bit 6.

The timing advance (TA) command has 6-bits, the value range is 0 to 63, which is defined as TA, in the 3GPP standard TS 36.213, 4.2.3 Transmission timing adjustments section.

The HARQ command uses two bits of serial data, bits 1 and 0 (HARQ 1 in the figures). A NACK is '0' and an ACK is '1'.

  • Bit 1 contains the HARQ feedback for transport block (TB) 2 during UL MIMO operation, otherwise this bit value is '0'.

    LTE FDD and TDD Clause 8 test, 8.2.1A is an example when Bit 1 is used.

  • Bit 0 always contains the HARQ feedback for transport block (TB) 1 during all feedback transmissions.

LTE TDD also uses a second HARQ command (shown as HARQ 2 in the figures) when the UL/DL Configuration is set to 0 (number of DL subframes > number of UL subframes). This second HARQ command uses bits 3 and 2 of the serial data, and their data is the same as bits 1 and 0 respectively. The conformance tests use only UL/DL Configuration 1, so the HARQ 2 command is not used. The software does allow changing the UL/DL Configuration value, but then it would be outside of the conformance test settings. Always refer to the standards before making test setting changes.

The following figures show the HARQ commands for both LTE FDD and LTE TDD.

Multiplexed(Level Triggered)

The eNB/base station sends a binary signal that conforms to the instrument's multiplexed mode requirements. The multiplexed mode accommodates commands that are 1- to 12-bits wide and sent as a low-voltage, 3.3V TTL format signal where 0-volts represents a ‘0’ and 3.3-volts represents a ‘1’. This signal is input to one of the AUX I/O connector pins selected in the AUX Port Pin property drop-down menu.

The feedback signal is sent once every frame.


Closed Loop Test Settings

This topic provides information on the closed loop settings located in the LTE Clause 8 test list under the Common Settings node. These settings configure how the instrument reacts to the input feedback signal configured in the instrument node and explained in the Closed Loop Feedback Configuration topic.

Markers

Makers provide an output signal to indicate when an event has occurred or to trigger an internal function. Each marker provides the same selections, but each marker can be set differently.

None

No Marker signal.

Frame Pulse

Pulse at every 10 ms LTE radio frame

Sub-Frame Pulse

Pulse at every 1 ms LTE subframe

Slot Pulse

Pulse at every 0.5 ms slot

Round Trip Time Pulse

indicates the HARQ round trip time

  • LTE FDD—the timed pulse of 8 ms is synchronized to the process number
  • LTE TDD—the pulse cycle depends on the UL/ DL Configuration value

HARQ State

High for HARQ ACK received subframe

Low for HARQ NACK received subframe

ALC Control

ALC signal to control RF output of the signal generator

RF Blank

RF Blank signal to control RF output of the signal generator

Timing Adjustment Command

Echo back of the received timing adjustment command (RS-232 serial data)

Timing Adjustment State

Indicates timing adjustment operation state

SFN Pulse

Pulse at every SFN 10.24s cycle

AUX0...AUX15 Monitor

Monitors the specified AUXn input signal.

The timing of this output marker signal is not specified. This signal is available only to confirm that the AUX signal is being received on the expected port.

HARQ/TA Settings

The settings in this section tells the PXB or Signal Generator (instrument nodes) when to respond to the received feedback signal. The settings are the same for LTE FDD and TDD with the exception of the HARQ-ACK Input Sampling Position property. For LTE TDD, this property is inactive (grayed out).

For information on each setting, use the hints that appear when a property is clicked.


Waveform Files

This topic is only for those signals where the software creates a waveform file that is downloaded to an instrument for playback. The real-time signal is generated by configuring instrument settings (no file is downloaded) and requires the Signal Studio software Wxx real-time license option. The real-time signal settings along with any instrument attributes such as amplitude and frequency are captured in the SCPI commands. These commands can be viewed in the SCPI Log Viewer.

Understanding Waveform File Generation

The number of signals required by the tests vary. Some require one signal while most require multiple signals. For some tests, when the test requires multiple signals, the software provides the ability to either create a single waveform file or multiple waveform files. For other tests, such as for LTE Clause 8 tests,the use of multiple instruments is required.

For tests where the PXB is supported, the use of the PXB is typically viewed as using multiple instruments. This is because of the PXB"s multiple baseband generator (BBG) capability and its need to use signal generators as RF upconvertors. But there are some tests such as for LTE Clause 7 where the PXB can imitate the single instrument behavior by using the single channel configuration (single BBG). For these tests, within the test settings window, the Signal Generator field selection enables the use of the same PXB BBG for all signals.

A single waveform file is created when the same instrument is selected (a user selection in the test settings window) for the signals. When different instruments are selected for each signal, the software creates multiple waveform files, one for each signal. For the tests that use a CW Interferer, some tests provide the capability to either combine it with other the test signals into a single waveform file, or have the CW Interferer instrument settings downloaded to a separate signal generator. For the tests that do not offer this capability, the CW Interferer must use it own signal generator.

The following figure illustrates using a separate signal generator for each signal. The software shows three different connected signal generators (shown in the top upper left side under the Hardware Connection and Settings node) and in the selected 7.8 Receiver Intermodulation test settings window, each test signal is using a different instrument (one of the connected instruments).

Based on the instrument selection shown in the figure, the software, upon clicking Execute, builds and downloads two separate waveform files. One for the Wanted Signal and another for the E-UTRA Interferer signal. Because the CW Interferer is also using a different instrument than the other two signals, the software for this signal just downloads the instrument settings to the instrument identified as Signal Generator (2:Connected).

If only one of the instruments was selected for all three signals (shown in the figure below), then the software would build and download one waveform file to the selected instrument that includes all three signals.

Other instrument to signal combinations for the above figures include:

  • two instruments selected, one waveform file with one instrument for the wanted and interferer signals, and the second instrument for the CW Interferer signal where the software downloads only the instrument settings--no file

  • two instruments selected, one waveform file with one instrument for either the wanted or interferer signal, and the another waveform file with the second instrument for the wanted or interferer signal (the one not used with the first instrument) and the CW Interferer that is built as part of the waveform file

To determine whether combining signals is supported for your tests, see the Test Case Manager Software topic.

Waveform File Generation and the Offline Mode Feature

This feature is not available for the PXB.

The software places the waveform file on the PC hard-drive regardless of the Offline Mode setting. Offline Mode determines whether the waveform is downloaded to the instrument:

  • Offline Mode disabled—waveform file placed on the hard-drive and downloaded to the instrument

  • Offline Mode enabled—waveform file placed only on the hard-drive

This setting is located in the Signal Generator (n:<connection status>) node, Closed Signal Generator Settings window.

The Offline Mode feature is not available for the PXB.

Waveform File Naming and File Location

The software uses the following file names for its waveform files:

  • Wanted Signal —WantedSignal.wfm

  • W-CDMA Wanted Signal—WcdmaWantedSignal.wfm

  • Interferer (E-UTRA Interferer, Interferer, W-CDMA Interferer, etc.)—Interferer.wfm.

    The CW Interferer does not generate its own waveform file. It either downloads just instrument settings or becomes a part of one of the above named waveform files.

There is also a unique name that the software creates for the LTE test case 8.2.3 when the wanted signal uses FRC A3-1. For more information, see the LTE FDD and LTE TDD Tests topic.

There is no way to name or rename a waveform file using the software user interface. These names are used for both the file on the PC hard drive and the file downloaded to an instrument. The only way to change the waveform file name is to access the file and manually change the file name.

To change the name for waveforms downloaded to an instrument, refer to that instruments User's Guide for information on renaming a waveform file.

To change the name for files on the PC hard drive, access the waveform file in the following directory based on operating system:

Windows® 7 waveform file location

W-CDMA GMSK Interferer

  • C:\Program Files (x86)\Keysight\Test Case Manager

All Other Waveforms

  • C:\Users\<user>\My Documents\Keysight\TestCaseManager\Waveform\<waveform_name>.wfm

    Or

  • Desktop\Libraries\Documents\Keysight\TestCaseManager\Waveform\<waveform_name>.wfm

Windows XP waveform file location

W-CDMA GMSK Interferer

  • C:\Program Files\Keysight\Test Case Manager

All Other Waveforms

  • C:\Documents and Settings\<user>\My Documents\Keysight\TestCaseManager\Waveform\<waveform_name>.wfm

PXB

When using the PXB, the software stores waveform files in the standard PXB waveform file locations:

  • D:\Waveforms\Channeln (where n = 1, 2, 3, ..., 9)

The software determines the n value based on the PXB selection and test.

LTE and W-CDMA Clause 7 Tests

Whether the Wanted or Interferer waveform is stored in Channel1 or Channel2 depends on the PXB selection in the Signal Generator selection field. The PXB (BBG2) selection cannot be used without one of the signals using the PXB (BBG1) selection.

  • PXB (BBG1): D:\Waveforms\Channel1

  • PXB (BBG2): D:\Waveforms\Channel2

LTE and W-CDMA Clause 8 Tests

For these tests, the PXB waveform file locations are fixed for each signal as shown below (not all tests use all signals):

  • WcdmaWantedSignal.wfm—D:\Waveforms\Channel1

  • WantedSignal.wfm—D:\Waveforms\Channel1

  • Interferer1.wfm—D:\Waveforms\Channel2

  • Interferer2.wfm—D:\Waveforms\Channel3

  • Interferer3.wfm—D:\Waveforms\Channel4


Using the SCPI Log Viewer

The SCPI Log Viewer provides the SCPI commands used by the N7649B Test Case Manager software to load the waveform and control the instrument settings for the waveform signal. After creating the waveform with the software, use the SCPI commands to remotely load the waveform file or configure real-time waveforms, setup the instrument, and transmit the signal without using the Test Case Manager software user interface.

The access to the SCPI Log Viewer is through the menu bar, Tools drop-down menu:

When SCPI Log Viewer is clicked, it launches the Log View dialog box that displays the commands:

With each click of the Execute button in the test settings window, SCPI commands are added to the LogView dialog box. This means that the command list, if not cleared after each Execute, is cumulative. But the software does display a separation in the SCPI list to show each Execute action. The separation is the "Begin Execute" and "End Execute" lines shown in the above figure.

Instrument Drop-Down Menu Selection

Use the instrument drop-down menu to select the SCPI commands relevant to the signal: wanted or interferer. For example (using the above figure), if Signal Generator (0:Connected) is for the wanted signal and Signal Generator (1:Connected) is for the interferer, you must select Signal Generator (0:Connected) to view, copy, and clear the commands for the wanted signal.

Again using the above figure as an example, to view, copy, and clear the commands for the interferer signal, select Signal Generator (1:Connected).

If the remaining signal generator or PXB was connected and used, it would have to be selected to view, copy and clear commands..

Copy

Use this button to copy the currently displayed SCPI commands. If there are multiple signals for the test and a different instrument was selected for each signal, after each copy action, you must individually select each instrument from the instrument drop-down menu to display and copy the commands for each signal in the test.

After performing each copy function, use the right mouse click function or standard keyboard keys to paste the commands in the desired application (programming environment or other software).

Clear

Use this button to clear the currently displayed SCPI commands. If there are multiple signals for the test and a different instrument was selected for each signal, after each copy action, you must individually select each instrument from the instrument drop-down menu to display and then clear the commands for each signal in the test.

Minimize

This button minimizes the LogView dialog box. As long as the dialog box is open, even though it may be minimized, the software does not allow any other interaction with the software user interface.

Exit

Use this button to exit the LogView dialog box. As long as the dialog box is open, the software does not allow any further interaction with the software user interface.

To create the SCPI list:

  1. Use the N7649B Test Case Manager user interface to configure the desired test signal(s).

  2. Click the Execute button to create and download the waveform, set the instrument parameters, and create the SCPI commands shown in the LogView dialog box.

  3. Open the LogView dialog box.

  4. If needed, select the instrument from the instrument drop-down menu at the top of the LogView dialog box.

  5. Click the Copy button to copy the currently displayed commands.

  6. Paste the command list into the desired application.

    To paste the commands, use the standard keyboard keys or the mouse right click function.

  7. If desired, click the Clear button to clear the currently displayed list of the commands from the LogView dialog box.

  8. If multiple signals were required and different instruments were used for the various signals, repeat this process starting with Step 4.


Troubleshooting

Software Problems | identifies common software problems and solutions
Interface Problems | provides solutions for communication problems between the PC and the instrument
Instrument Problems | provides solutions for measurement or operation problems with the instrument
User Permissions | describes how to set user permissions for installing and running the software


Software Problems

Demo Mode Dialog Box Shows after License Installation

After installing Test Case Manager and its license, the software may start in demo mode Closed (demo dialog box appears after the splash screen). While in demo mode, clicking the Execute button, trying to view the SCPI Log Viewer, or attempting to save or open a file causes the Closed Warning: License dialog box to show

Cause: Test Case Manager software has not recognized the license.

Solution: Perform the following process:

  1. Leave the Test Case Manager software running for a minute.

  2. Close the Test Case Manager software.

  3. Restart the Test Case Manager software—the demo dialog box should not appear.

  4. If the problem persists, contact Keysight Technologies.

"Restricted User" cannot run Test Case Manager application

When a "Restricted User" tries to run the Test Case Manager application without the correct security permissions, an unhandled exception error message indicates that access is denied.

Cause: The user permissions are not correctly set.

Solution: The administrator must set the correct user permissions in the Test Case Manager installation folder. See the instructions in User Permissions.

License Error

After clicking SCPI Log Viewer in the Tools drop-down menu, a Closed license error message appears.

Cause: This function is not available with the trial license.

Solution: After the software evaluation is completed, contact Keysight Technologies to purchase a Test Case Manager software license.

Connection Failure

After clicking Test Connection in the Signal Generator node, "Disconnected" remains.

Cause: VISA address entered incorrectly, or the LAN or GPIB instrument connection may not be properly enabled.

Solution: Verify that all equipment is properly connected and that the LAN or GPIB interface is correctly installed and configured. (See Keysight IO Libraries.) Ensure that the GPIB or LAN information that you entered in the VISA Address cell matches the instrument and interface you are using. Verify that all colons (used in both TCPIP (LAN) and GPIB connections) are present in the completed Closed VISA address. See Interface Problems for more troubleshooting information.

Related Topics

Instrument Problems

Interface Problems

Equipment Setup and Connection

Contacting Keysight Technologies

Licensing


Interface Problems

If you experience problems communicating with or controlling instruments over the LAN or GPIB, check the following items. If this does not solve the problem, refer to the Connection Expert utility installed with the Keysight IO Libraries. For more information about using Connection Expert, see the Keysight IO Libraries Suite online help.

Troubleshooting the GPIB Interface

  1. Inspect the cable and connectors; confirm that none are damaged.

  2. Ensure that the GPIB cable is securely connected to the PC and the instrument.

  3. Verify that the instrument is turned on.

  4. To verify that the GPIB address entered in the software matches that of the instrument, select Signal Generator (n:Disconnected) in the software's tree view.

  5. Validate the connection.

    1. Click the Test Connection button.

    2. View the Signal Generator (n:Disconnected) node heading and verify that Disconnected changes to Connected.

  6. Review the information about installing Keysight I/O libraries.

Troubleshooting the LAN Interface

If the instrument is connected directly to a computer, use a crossover LAN cable; if the instrument is connected to a network/external server, use a standard LAN cable.

  1. Inspect the cable and connectors and replace if damaged.

  2. Ensure that the LAN cable is securely connected to the PC and the instrument.

  3. Ensure that the instrument LAN connectors are active: flashing green or yellow lights indicate LAN activity.

  4. To verify that the IP address entered in the software matches that of the instrument, select Signal Generator (n:Disconnected) in the software's tree view.

  5. Validate the connection.

    1. Click the Test Connection button.

    2. View the Signal Generator (n:Disconnected) node heading and verify that Disconnected changes to Connected.

  6. Run the 'ping' program:

    1. On the computer go to Start > All Programs > Accessories > Command Prompt (or DOS).

    2. At the C:\> prompt, enter ping <IP address>, where <IP address> is the instrument's IP address or hostname.

    3. If the instrument does not respond, contact your IT department for help.

  7. If the PC is connected directly to the instrument (using a cross-over cable) and the 'ping' program works correctly, but there is still a connection problem, add the instrument's IP address and hostname to the Hosts file, which resides at: C:\Winnt\system32\drivers\etc\Hosts or C:\Windows\System32\drivers\etc\hosts depending on the windows operating system.

    1. In a text editor such as Notepad, open the Hosts file.

    2. Write the IP address and hostname of the instrument at the bottom of the file.

      (Refer to the example of a hosts file below.)

    3. Save the file and close the text editor.

Do not use "Save As" when saving the Hosts file; this file does not have a file extension.

Example Hosts File

# Copyright (c) 1993-1999 Microsoft Corp.

#

# This is a sample HOSTS file used by Microsoft TCP/IP for Windows.

#

# This file contains the mappings of IP addresses to host names. Each

# entry should be kept on an individual line. The IP address should

# be placed in the first column followed by the corresponding host name.

# The IP address and the host name should be separated by at least one

# space.

#

# Additionally, comments (such as these) may be inserted on individual

# lines or following the machine name denoted by a '#' symbol.

#

# For example:

#

# 102.54.94.97 rhino.acme.com # source server

# 38.25.63.10 x.acme.com # x client host

<xxx.xxx.xxx.xxx> localhost

<xxx.xxx.xxx.xxx> <signal generator hostname>

Related Topics

Instrument Problems

Software Problems

Equipment Setup and Connection

Contacting Keysight Technologies


Instrument Problems

Signal Generator

Front panel keys do not work

Downloading the waveform places the signal generator in the remote operation mode and deactivates front panel operation. On the signal generator, press the Local key to restore front panel operation.

Error messages

  1. Check the signal generator for error messages; if possible, correct the conditions indicated by the messages.

    When a setting conflict (error) occurs, an error number and a brief message appear at the bottom of the signal generator display. To view the full text of the error messages use the method shown for your instrument:

    ESG:

    Press Utility > Error Info on the signal generator front panel to view error messages on the display.

    Execute the SCPI error commands described in the System Subsystem section of the SCPI Reference manual.

    MXG/EXG:

    Press the Error hardkey on the signal generator front panel to view error messages on the display.

  2. Refer to the instrument's documentation for further troubleshooting information.

  3. Contact a Keysight Technologies Service Center.

PXB

Error messages

"Instrument is not configured correctly for proper download and Playback"

This error is displayed when the PXB is not configured to accept an ARB waveform file or if not enough BBG resources are available. Check the following possible causes:

  1. Confirm that you have loaded the correct configuration on the PXB.

  2. Confirm that the loaded configuration contains the correct number of BBGs. For example, if Test Case Manager is set up to download two waveform files for 2X2 MIMO, the loaded PXB configuration must contain at least two BBGs.

“Download is not allowed while Instrument is in Play state. Press “Stop” on Instrument”

You cannot download waveforms from Test Case Manager to the PXB while the PXB is playing a waveform.

Press the Stop button on the PXB to stop the currently playing waveform before downloading waveforms from Test Case Manager, or if currently playing waveforms from Test Case Manager, click the Stop button on the Test Case Manager's test setting window

Refer to the PXB's online documentation for more error message descriptions and troubleshooting procedures.

Computer

  1. Verify that the equipment meets the minimum requirements. See System Requirements.

  2. Refer to the computer's documentation for troubleshooting and repair.

Related Topics

Interface Problems

Software Problems

Equipment Setup and Connection

Contacting Keysight Technologies


User Permissions

To install and run the N7649B software in a Windows operating environment, appropriate security permission settings are required. If you are not logged onto your PC with the required security permissions, the software displays an error message during installation and when attempting instrument connection. The following list identifies the security levels required to install and run the software.

Software Usage | Security Permissions Required
Install the software | Administrator (Administrator Group)
Run the software | Administrator (Administrator Group) or Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.

Resetting Permissions for a Restricted User

A user with Administrator status can reset the permissions of a Restricted User to enable that user to run the software. The following steps outline the procedure.

  1. In Windows Explorer, navigate to the Test Case Manager installation folder. The default directory is:

    C:\Program Files (x86)\Keysight\.

  2. Right click the Test Case Manager installation folder.

  3. Select Properties from the popup menu.

  4. Select the Security tab.

  5. In the Group or user names list, select the user for whom you wish to change permissions.

  6. In the Permissions for Users section, check Modify and Write in the Allow column.

  7. Click Apply > OK.


Release Notes

N7649B Release Notes

Version 3.10 - May 2018

Version 3.8 - May 2016

Version 3.7 - Dec 2015

Version 3.6 - Jul 2015

Version 3.5 - Jun 2015

Version 3.0 - Mar 2015

Version 2.6 - Sep 2014

Version 2.5 - May 2014

Version 2.0 - Mar 2014

Version 1.1 - Apr 2013

Version 1.0 - Feb 2013

Version 3.10 - May 2018

Bug Fixes

  • Fixed the issue where the waveform is not correctly generated in LTE TDD Multiuser PUCCH test (8.3.3)

Version 3.8 - May 2016

Bug Fixes

  • Fixed an issue where the software sent unnecessary ARB commands to CW interferer, causing an undefined header error with analog signal generators

  • Fixed an issue where the software crashed when the Execute or Stop button was clicked soon after an execution appeared to have finished

Version 3.7 - Dec 2015

Bug Fixes

  • Fixed the issue that TS36.141 7.5 Interferer offset frequency is incorrect with lower position

Version 3.6 - Jul 2015

Enhancements

  • Added channel raster adjustment for UTRA Interferer, LTE FDD/TDD, Clause 6.2.6

  • Added user-defined waveform support for the following test cases:

    • UTRA Interferer, LTE FDD/TDD, Clause 6.2.6

    • Wanted Signal, LTE FDD/TDD, Clauses 7, and 8 (except 8.2.1, 8.2.1A, 8.2.2, 8.2.4)

Version 3.5 - Jun 2015

Signal Studio Software Requirements

See the requirements topic.

Enhancements

  • support for LTE FDD/TDD release 10 and release 11 of the 3GPP standards

    The LTE FDD/TDD 8.3.9 test is supported with only release 11 of the standards.

  • support for LTE FDD/TDD Clause 7, 3GPP TS 36.104 Minimum Requirements

    This feature is enabled with a checkbox located in the Common Settings node.

  • added a Closed Loop Test Settings node in the LTE FDD/TDD Clause 8 test list

  • added LTE FDD/TDD Clause 6 test support

  • added LTE FDD/TDD Clause 7 test, 7.6 Blocking (Co-Located)

  • added LTE FDD/TDD Clause 8 tests:

    • 8.2.1A PUSCH in multipath fading propagation conditions transmission on two antenna ports

    • 8.3.4 ACK missed detection for PUCCH format 1b with Channel Selection

    • 8.3.5 ACK missed detection for PUCCH format 3

    • 8.3.6 NACK to ACK detection for PUCCH format 1a transmission on two antenna ports (TDD only)

    • 8.3.7 ACK missed detection for PUCCH format 1a transmission on two antenna ports

    • 8.3.8 CQI performance requirements for PUCCH format 2 transmission on two antenna ports

    • 8.3.9 CQI performance requirements for PUCCH format 2 with DTX detection

  • shortened subsequent download times for LTE FDD/TDD 8.2.3 with FRC A3-1 when the same test settings are used

  • added the Medium Range BS selection to the Common Settings node, eNB Type property for LTE FDD/TDD Clause 7 and Clause 8

  • added an up/down 1 MHz step feature to the Frequency (Absolute) property for the LTE FDD/TDD 7.6 blocking tests

Bug Fixes

  • Corrected the LTE Clause 8.3.3 test so that all interferers do not use the same RNTI

  • Fixed Clause 8 tests so that an FRC is correctly recalled

  • Fixed the issue where the Trigger delay behaved unexpectedly when using the N5172B and N5182B and the LTE test case required a real-time signal

Version 3.0 - Mar 2015

Signal Studio Software Requirements

  • N7600B Signal Studio for W-CDMA / HSPA+ version 12.2 or later

  • N7624B Signal Studio for LTE/LTE-Advanced FDD version 12.0 or later

  • N7625B Signal Studio for LTE/LTE-Advanced TDD version 12.0 or later

Enhancements

  • added W-CDMA Clause 6 test support

  • added W-CDMA Clause 8 test support

  • provided PXB support for W-CDMA Clause 7 tests

  • added the Delta Update State check box to the PXB settings window—when enabled, the software bypasses previously downloaded settings required by the test thereby decreasing the time to reconfigure the PXB

  • added the Signal Studio licenses field to the PXB and Signal Generator settings window—after connecting to the instrument, the software displays all of the Signal Studio licenses found in the instrument

  • changed the behavior of the Apply Wxx RT license for waveform file check box so that it applies to W-CDMA tests

  • added the License node that displays the Test Case Manager licenses and state

Version 2.6 - Sep 2014

Enhancements

  • applied Keysight brand to software.

Bug Fixes

  • fixed problem where the distributor demo license (N7699A-D09) was not recognized when connected to an MXG signal generator.

Version 2.5 - May 2014

Signal Studio Software Requirements

  • N7600B Signal Studio for W-CDMA / HSPA+ version 12.0 or later

  • N7624B Signal Studio for LTE/LTE-Advanced FDD version 12.0 or later

  • N7625B Signal Studio for LTE/LTE-Advanced TDD version 12.0 or later

Bug Fixes

  • fixed an issue where executing an LTE Clause 8 test causes an incorrect fader setup on the PXB for another LTE Clause 8 test upon its execution

  • fixed connection to 'localhost' when the Test Case Manager software is installed on an N5160A PXB with Windows 7 to use its operating system

    Symptom: After Test Case Manager is installed on the PXB to use its Windows 7 environment, the software is unable to connect to the PXB using its hostname 'localhost'.

Enhancements

  • added support for W-CDMA TS 25.141 V12.1.0 (2013-09) Clause 7 Receiver Characteristic Tests

  • Hardware Connections and Settings, in the tree window, now displays three Signal Generator nodes as the default

Version 2.0 - Mar 2014

Signal Studio Software Requirements

  • N7624B Signal Studio for LTE/LTE-Advanced FDD version 12.0 or later

  • N7625B Signal Studio for LTE/LTE-Advanced TDD version 12.0 or later

Enhancements

  • compliance with the 3GPP standards TS 36.141 V9.11.0 (2012-09) and TS 36.141 V10.12.0 (2013-09)

  • added support for LTE FDD and TDD Clause 8 Receiver Performance tests

  • updated Clause 7 Receiver Characteristic tests to comply with a later version of the standards

  • supports the N5106A PXB Baseband Generator and Channel emulator for both Clause 7 and 8 tests

  • provides MIMO and fading capability with the N5106A PXB

  • selectable fading simulators, PXB or External Fader, for Clause 8 tests

    The external fader is not supported nor controlled by the Test Case Manager software

  • provides the ability to use just the Signal Studio Wxx real-time license to generate real-time signals and build waveform files for playback

  • added Trigger Polarity to the signal generator settings

  • added Hopping capability to the Clause 7 FDD and TDD Common Settings nodes (Hopping is included with the Clause 8 tests)

  • provides close loop testing capability for both Clause 7 and 8 tests

  • added a Stop button to the test setting windows to stop the transmission/playback of the signals

Bug Fixes

  • fixed “Baseband Offset” setting when Signal Generator is only generating CW

  • fixed Offline mode for ESG to show SCPI log view for ESG

  • added error message when RB size, which is defined by the FRC, exceeds the channel bandwidth

Version 1.1 - Apr 2013

Signal Studio Software Requirements

  • N7624B Signal Studio for LTE/LTE-Advanced FDD version 11.0 or later

  • N7625B Signal Studio for LTE/LTE-Advanced TDD version 7.0 or later

Bug Fixes

  • fixed AWGN power definition for BW=10/15/20 MHz in the 7.3 Dynamic Range test selection

  • fixed destination location in the installer to reflect the user defined path

  • corrected the link used to obtain a trial license

Version 1.0 - Feb 2013

Initial Release

The Test Case Manager software provides an easy and flexible means in which to perform 3GPP 36.141 Clause 7 tests. To perform these tests, this software is used in conjunction with the Signal Studio software N7624B for FDD tests or N7625B for TDD tests.

Signal Studio Software Requirements

  • N7624B Signal Studio for LTE/LTE-Advanced FDD version 11.0 or later

  • N7625B Signal Studio for LTE/LTE-Advanced TDD version 7.0 or later

Features

  • support for LTE FDD and TDD TS 36.141 Clause 7 Receiver Characteristic tests

  • supports using a single or multiple signal generators for tests that require multiple signals

  • enables exporting test settings for use in the appropriate Signal Studio software

  • provides a SCPI logging feature to capture the software actions—enables remote usage without the user interface

  • provides preset capability to restore factory defaults either globally or locally

  • control whether the waveform file is download to an instrument and PC hard drive, or just the PC hard drive

  • control whether all signals in a multi-signal test, where multiple instruments are used, are transmitted or just certain signals in the test

  • override the test settings to configure the test parameters outside of the 3GPP standards


Additional Information

Contacting Keysight Technologies

For more information on Keysight Technologies’ products, applications or services, please contact your local Keysight office.

Americas

Canada (877) 894 4414

Brazil 55 11 3351 7010

Mexico 001 800 254 2440

United States (800) 829 4444

Asia Pacific

Australia 1 800 629 485

China 800 810 0189

Hong Kong 800 938 693

India 1 800 112 929

Japan 0120 (421) 345

Korea 080 769 0800

Malaysia 1 800 888 848

Singapore 1 800 375 8100

Taiwan 0800 047 866

Other AP Countries (65) 6375 8100

Europe & Middle East

Austria 0800 001122

Belgium 0800 58580

Finland 0800 523252

France 0805 980333

Germany 0800 6270999

Ireland 1800 832700

Israel 1 809 343051

Italy 800 599100

Luxembourg +32 800 58580

Netherlands 0800 0233200

Russia 8800 5009286

Spain 0800 000154

Sweden 0200 882255

Switzerland 0800 805353

Opt. 1 (DE)

Opt. 2 (FR)

Opt. 3 (IT)

United Kingdom 0800 0260637

For other unlisted countries:

www.keysight.com/find/contactus

(BP-07-10-14)


Crossover LAN

Configuring for a Crossover LAN

To set up your system for a crossover LAN connection (direct connection between a PC and instrument), do the following:

Configure the PC

This procedure is based on Windows ® XP. These steps will vary for Windows ® 2000.

  1. From your PC's Control Panel, double-click Network Connections > Local Area Connection.

  2. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  3. Click Properties.

  4. Select Use the following IP address (radio selection).

  5. Enter 1 once for each of the four areas that make up the IP address. After your entries, the IP address should show 1.1.1.1.

  6. Click the Subnet mask entry field; an address appears.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Reconnect the LAN cable.

  2. From your PC's Control Panel, click Network Connections > Local Area Connection.

  3. In the Local Area Connection Status dialog box, click Properties.

  4. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  5. Click Properties.

  6. Select the Obtain an IP address automatically option or enter your system IP address.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Local Area Connection Status dialog box and the Network Connections window.

Configure the Signal Generator

  1. Turn on the signal generator.

  2. Use the appropriate key-press sequence for the signal generator you are using:

    EXG or MXG: Utility > I/O Config > LAN Setup > Manual Config Settings > IP Address

    ESG or PSG: Utility > GPIB/RS-232 LAN > LAN Setup > IP Address

  3. Record the current IP address.

  4. Enter 1.1.1.2 as the new IP address.

  5. Press Enter > Proceed with Reconfiguration > Confirm Change.

    The signal generator reboots, completing the LAN reconfiguration.

Configuring Additional Instruments

To configure additional instruments, such as a spectrum analyzer, increment the IP address for each additional instrument by one. For example, use 1.1.1.3 as the IP address for a third instrument and 1.1.1.4 for a fourth instrument. Refer to the user documentation of the instrument you want to add for specific crossover configuration information.


Crossover LAN PXB

Configuring a Crossover LAN for a PXB Connected to a PC

To set up your system for a crossover LAN connection (direct connection between a PC and a PXB, or PXB to other instruments), do the following:

Configure the PXB

  1. From the Control Panel (located in the XP Start menu), double-click Network Connections.

  2. Right-click Local Area Connection and select Properties.

  3. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  4. Click Properties.

  5. Select Use the following IP address (radio selection).

  6. Enter the IP address:

    • If the PXB is the controller, enter 1.1.1.1. (To configure client instruments, see Configuring a Crossover LAN.)

    • If the PXB is the client (PC is the controller), enter 1.1.1.2.

  7. Click the Subnet mask entry field; an address appears.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Connect the LAN cable.

  2. From your PXB's Control Panel, click Network Connections.

  3. Right-click Local Area Connection and select Properties.

  4. In the Local Area Connection Status dialog box, click Properties.

  5. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  6. Click Properties.

  7. Select the Obtain an IP address automatically option or enter your system IP address.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Local Area Connection Status dialog box and the Network Connections window.


Receiving the Entitlement Certificate

When you purchase a PC-based software license, you will receive a Software Entitlement Certificate. Redeem this certificate to receive the software license. Keep this certificate in a safe place for future reference.

Record the order number and the certificate number.

You will also need your PC's Host ID, which is viewable through Keysight License Manager. Right-click the Keysight License Service icon [image] on the right side of the Windows taskbar. Then select About Keysight License Service.

You are now ready to redeem the license.


Software License Redemption

  1. Go to the Keysight Software Manager web page:

    http://www.keysight.com/find/softwaremanager.

  2. Enter your login information. If this is your first visit, you will need to register.

  3. Follow the directions on the website and be prepared to enter the following information:

    • order number

    • certificate number

    • PC's Host ID

    • a valid email address

  4. You will promptly receive an email with the license file attached.


Getting the Latest Revision of Help

Keysight frequently updates the N7649B online documentation (help system). Your software may not have the latest revision. This topic describes how to access and install the latest revision into your software.

Where to Access the Latest Help

  1. Visit the product web page at http://www.keysight.com/find/n7649b.

  2. Under the Technical Support tab, click Manuals. Links to both a downloadable compiled help file (.chm) and a web-viewable help system (webhelp) appear.

  3. Compare the date shown for the .chm file on the web page to the compiled date shown on your software's installed help main menu page.

Installing the Latest Revision of Help in Your Software

If the compiled date of your software's installed help system is earlier than the date shown on the web page, you can update your help file as follows:

  1. Before installing the latest revision of the help file into your software, make sure it still supports the features of your current software revision. You can make this determination by carefully comparing the release notes of your current installed help system with the release notes in the latest help system. If the listed enhancements and bug fixes do not indicate significant feature changes, installing the latest help system is a good choice. Otherwise, you may want to consider downloading the latest version of software instead.

  2. Move the existing installed help file to a safe place on your PC. This ensures you can restore it later if you discover the new help file does not suit your needs. If you installed your software with the default directories, the help file is located in the following directory:

    C:\Program Files (x86)\Keysight\Test Case Manager\n7649b.chm

  3. Download the latest help file (.chm) for your software from the Keysight website and copy it to the same directory from which you moved the existing help file in the previous step.

  4. Verify that the new help file can be accessed from the software by selecting Contents, Index, or Search from the Help drop-down menu.


GPIBaddress

To view the signal generator's GPIB connection information:

On the EXG or MXG, press Utility > IO Config > GPIB Setup

On the ESG or PSG, press Utility > GPIB/RS-232 LAN


IP_address

To view the signal generator's IP address:

On the ESG/PSG, press Utility > GPIB/RS-232 LAN > LAN SETUP > IP ADDRESS.

On the EXG/MXG, press Utility > I/O Config > LAN Setup.

On the PXB, click System > Product Information.


Graphics Window

This window shows a representation of the test signals. Use the graphic to visualize the current test signal setup and make changes as needed. Change signal attributes such as Amplitude, BW, RB, Offset and Interferer Position, and the graphic updates to reflect the new settings.


Hints

Whenever a setting from the setting window is clicked, the software displays information on it.

If the hint window is resized, it may not show all of the information when it spans multiple lines or includes a list. After resizing and to ensure that all information is viewable, widen the hint window each time information is viewed. Upon closing and launching the software, the hint window returns to its default viewing.


Message Bar

This area displays items such as errors, connection status, and with the annunciator to the far right side of the bar, whether the trigger status is Armed (waiting for a trigger).

The trigger annunciator is not supported with the E4438C ESG and E8267D PSG.


Settings Window

This window displays the buttons and settings for the current tree node selection. The tutorials contain information on the settings and information on the buttons is found in the Buttons topic.


Settings Window Buttons

The buttons are part of the settings window and change based on the tree node selection. Like selections such as Signal Generator or tests typically show the same buttons. When a button is not available, it typically does not appear, but with the PXB settings window, unavailable buttons are shown but remain grayed out. For more information on buttons, see the Buttons topic.


Tree Window

This window displays the different nodes such as Hardware Connections and Settings, Signal Generator, PXB, Test Cases, Common Setting, and the test selections.

When a node is selected that contain settings, the settings appear in the window to the right. To view the tutorials associated with configuring instruments or a test, see the Tutorial topic.


Test Considerations

Whether it is instrument selection, configuration, or test settings, there are items to consider.

Instruments

Unsupported Instruments

All instruments supported by software are shown in the tree window. But for some tests, there may be an additional instrument selection within the test setting window that is not supported by the software (not shown in the tree window). Examples of this situation are in the LTE Clause 8 test setting window, where the Fading Simulator Closed field shows a selection for the PXB (supported instrument) or an External Fader (unsupported instrument).

When an unsupported instrument is selected, there are additional manual test settings that must be performed. The unsupported instrument must be configured in accordance with the standards to perform its function

External Fader—LTE Clause 8 and W-CDMA Clause 8 Tests

The external fader is a Fading Simulator selection for the Clause 8 tests. Even though it is a selection within the software, the external fader is not supported by the software and therefore not controlled by the software. But the signal generators used in conjunction with the external fader, and identified (connected) in the Hardware Connections and Settings node are controlled by the software.

  • the external fader, in addition to providing fading for all signals, must also provide:

    • the AWGN (this is indicated in the software by the AWGN section being grayed out)

    • the MIMO configuration

    • the propagation condition

  • some external fader settings must match those of the software's channel configuration (see the tutorials)

  • each waveform must use a separate signal generator

  • the signal generators used must be the ones listed in the requirements topic for Clause 8 tests

  • the external fader must be able to adjust the SNR to compensate for the signal generator's increased power level of 3 dB and 6 dB for Rx antenna setups of 2x and 4x respectively

    This increased power level is in addition to the software's displayed signal generator power level.

  • the State checkbox must be checked for all signals and the Override Settings checkbox unchecked to download valid signal generator test signals in accordance with the 3GPP standards

Supported Instruments

Typically supported instruments are available for all tests. All instruments shown in the tree window, whether or not connected, appear as selections in the test setting windows. It is up to the user to ensure that selected test instruments are connected and configured to support the tests.

PXB

The PXB Baseband Generator and Channel Simulator generates baseband signals and provides additional testing enhancements for its channels. Since it generates baseband level signals, it requires the use of connected signal generators to upconvert to RF. The PXB controls these signal generators.The selected test and how the waveforms are set within the software determines the number of PXB baseband generators (BBG)/channels and connected signal generators.

For example in LTE Clause 7 tests, if each signal in the test setting window used PXB (BBG 1) for the signal generator selection, than only one channel and one signal generator is used. But if one signal used PXB (BBG 1) and another used PXB (BBG 2), then the PXB would use two channels and it requires the connection of two signal generators. Whereas for LTE Clause 8 tests with the PXB selection, each signal uses a separate BBG in the PXB. So the PXB requires a signal generator connection for each signal.

Whether to use the PXB is dependent upon the test needs. The software allows the use of only one PXB. But the PXB provides multiple capabilities for signal generation:

  • generates a single waveform (one real-time signal or waveform file) when configured with a single baseband generator (BBG)

    This is commonly referred to as a single channel configuration

  • generates multiple waveforms (multiple real-time signals or waveform files) when configured with multiple BBGs—one waveform per BBG

    So if it is using two BBGs, it is considered a two channel configuration and so on.

  • provides fading for each channel as determined by each test in accordance with the 3GPP standards

  • provides MIMO setup as determined by each test in accordance with the 3GPP standards

  • adds AWGN to the channels as determined by each test in accordance with the 3GPP standards

When using the PXB, the Signal Studio software must be licensed to use it, but the Signal Studio software does not have to be licensed to use the signal generators connected to the PXB.

To use the PXB:

  1. Select it from the tree window.

  2. Configure the PXB settings.

  3. Select the PXB in the test settings window

For more information on the PXB, refer to the PXB online documentation.

Signal Generators

The software enables the use of either a single signal generator or multiple signal generators. To add more signal generators than what is displayed, use the Add Instrument button.The signal generators are used in some tests as standalone instruments, or in other tests, such as for LTE, in combination with the PXB or an instrument such as an external fader.

When the signal generator is connected to another instrument that is supported by the software, the signal generator may then be controlled by that instrument, such as with the PXB. But when the signal generator is used with an instrument that is not controlled by the software such as with the external fader, then the software typically controls the signal generators.

The LTE Clause 7 and 8 tests provide examples of these various use cases of the signal generators.

Test Case Manager Software

In addition to easily creating complex 3GPP test signals,the software provides flexibility in instrument selection and use. When test signals are generated through the use of waveform files, some tests provide the flexibility to combine signals into a single file. This capability reduces the number of instruments needed for a test.

For more information on waveform files, see the Waveform Files topic.

AWGN Interferer

While the AWGN is an interferer, it does not require its own instrument. It is generated on the same instrument that outputs the signal. For information on setting the AWGN state, see the State Checkbox Behavior topic.

Test Signal Downloads

When the Execute button is clicked, the software downloads all of the test settings to the connected instruments. The amount of information that is downloaded depends on the test, the test settings, and the number of signals. Because this varies by test selection, the amount of time it takes to download the test signals varies. There are other factors that also determine the amount of time it takes to download the signals such as the processor speed of the PC running the software, and the connection between the PC and instruments. An example of a test the may take a few minutes to download is the LTE Clause 8 test, 8.3.3 ACK missed detection for multi user PUCCH format 1a. This test uses a wanted signal, three interferer signals, and an AWGN interferer.

While downloading the signals, the software constantly displays a status bar as to it current actions such as initializing instruments, generating waveforms, and attempting to apply signal generator settings. While the software is downloading the information, the software GUI lightens and the status bar is in the foreground. If the download fails for any reason, the software displays the error message in the message bar.

LTE Clause 7 Tests

These tests provide the flexibility to combine waveforms into a single waveform file so minimal instruments are required. For example, use only a single signal generator as a standalone instrument, or use only one of the BBGs in the PXB with the PXB connected to one signal generator.

Conversely the software also provides the flexibility to use separate signal generators, or in the PXB, multiple BBGs to create each of the test signals separately, or any combination.

In addition with using the PXB, MIMO and fading are also considerations that can be added to the signals.

LTE Clause 8 Tests

A separate signal generator is required for each test signal, because the test signals cannot be combined into a single waveform file. But how these signal generators are controlled for the signals is dependent upon the Fading Simulator selection, PXB or External Fader.

With the PXB, the PXB controls the signal generators based on input from the software. The PXB generates the signals, then using the PXB configuration set in the PXB Setting window, outputs the signals to the signal generators for upconverting. Because the PXB controls the signal generators, the Signal Generator fields in the test setting window are grayed out.

With the external fader, the user must select a different signal generator for each signal. Each signal generator must be configured and show as connected in the Hardware Connections and Settings node. The software then controls, and downloads the signal and settings to each of the signal generators.

W-CDMA Clause 6 Tests

These tests are used to determine the performance of the transmitter and require the use of only one signal that is combined with the output from the transmitter. The tests are supported on only the N5172B EXG or the N5182B MXG signal generators.

W-CDMA Clause 7 Tests

A separate signal generator is required for each test signal. None of the signals can be combined into a single waveform file.

A few of the tests require the use of a GMSK Interferer signal. This software includes the ability to build this signal, so no additional Signal Studio software is required beyond that shown in the System Requirements topic.

To perform BER testing, a wanted signal with 1022 frames is required. This means that the wanted signal needs approximately 39 Msa of memory and can take about seven minutes to download depending on items such as processor speed and connection. An example of this is the wanted signal (RMC 12.2K) used for the 7.6 Intermodulation test. Because it can take time to download a test signal, the software has incorporated additional Execute behavior to minimize the time when changes are made to the signal.

With the PXB, the PXB controls the signal generators based on input from the software. The PXB generates the signals, then using the PXB configuration set in the PXB Setting window, outputs the signals to the signal generators for upconverting. Because the PXB controls the signal generators, the Signal Generator fields in the test setting window are grayed out. Use the PXB to add fading to any of the test signals.

GMSK Interferer

The narrowband Clause 7 tests, Narrow Band Blocking and Intermodulation (Narrowband), use a GMSK Interferer signal. The software creates this signal differently form the W-CDMA signals in that the GMSK signal is created from a previously generated and stored waveform file. The W-CDMA signal is generated in conjunction with the N7600B Signal Studio software, there is no pregenerated waveform file. If a test includes the GMSK signal and the test settings are exported for use in the Signal Studio software, the GMSK settings, because of the pregenerated file, are not included in the exported file. In addition, the Signal Studio software cannot reproduce the GMSK signal.

If there is a need to continue using the GMSK Interferer provided by the software and it has already been download using this software, the signal can be controlled using the SCPI commands from the SCPI Log Viewer. If the GMSK waveform needs to be stored on the signal generator or manually download, see the Transferring the GMSK Interferer File topic.

W-CDMA Clause 8 Tests

Because some of these tests require fading or diversity output (multiple antennas), the instruments used require fading capability as well as single-user MIMO 1x2 operation. The software provides two selections for these capabilities. Either selection still requires the use of signal generators listed in the requirements topic. But how these signal generators are controlled for the signals is dependent upon the Fading Simulator selection, PXB, or External Fader.

With the PXB, the PXB controls the signal generators based on input from the software. The PXB generates the baseband signals and adds the AWGN. Then using the PXB configuration set in the PXB Setting window, outputs the signals to the signal generators for upconverting. Because the PXB controls the signal generators, the Signal Generator fields in the test setting window are grayed out.

With the external fader, a signal generator selection is required. The signal generator must be configured and show as connected in the Hardware Connections and Settings node. The software then controls, and downloads the signal and settings to the signal generator.

Wxx Real-Time License for use with Waveform Files

While this checkbox appears in the Signal Generator Settings window regardless of the test selection, it is not applicable to W-CDMA tests. For W-CDMA tests, the Signal Studio software must have the waveform licenses.

Within the instrument setting window, there is a Misc section that has the Apply Wxx RT license for waveform file Closed checkbox.

By checking this box, the software uses the Signal Studio real-time license to create, download, and play waveform files for non-real-time signals. No waveform license is required. If the Signal Studio software is licensed for waveform files and this box is checked, the software ignores the waveform file licenses and uses the real-time license instead. But there is no benefit to using this feature when the Signal Studio software is licensed for both real-time signals and waveform file type signals.

To use this feature, the Signal Studio software must have the real-time license.

State Checkbox

See the State Checkbox Behavior topic.

Offline Mode

See the Waveform Files topic.

Override Settings

By checking this box, it causes the grayed-out fields (inactive) to become active so they can be changed. The exception to this action is for the State checkbox and some of the fields when the PXB is used.

If the test settings are modified by using this feature, the test may no longer be in compliance with the 3GPP standards.

After modifying the settings, if the Override Settings is disabled by unchecking the box, the software resets the grayed out parameters back to their default settings based on the current eNB Type selection in the Common Settings.

Related Topics

Waveform Files

State Checkbox Behavior